2002-04-09  Adrian Likins  <alikins@sludge.redhat.com>

	* /mnt/devel/CVS/rhn/up2date/version: Building release up2date-2_7_70

	* /mnt/devel/CVS/rhn/up2date/configdlg.py, /mnt/devel/CVS/rhn/up2date/gui.py:
	add the thread stuff that msw suggested to the gui bits
	(prevents potential deadlocks)

	* /mnt/devel/CVS/rhn/up2date/up2date.spec, /mnt/devel/CVS/rhn/up2date/version:
	Building release up2date-2_7_69

	* /mnt/devel/CVS/rhn/up2date/wrapper.py:
	since we now can raise useful exceptions on package install path,
	dont catch them in daemon mode in wrapper (instead let, the
	action code catch them)

	* /mnt/devel/CVS/rhn/up2date/up2date.spec, /mnt/devel/CVS/rhn/up2date/version:
	Building release up2date-2_7_68

	* /mnt/devel/CVS/rhn/up2date/actions/errstatus.txt, /mnt/devel/CVS/rhn/up2date/actions/packages.py, /mnt/devel/CVS/rhn/up2date/gui.glade, /mnt/devel/CVS/rhn/up2date/gui.py, /mnt/devel/CVS/rhn/up2date/po/gui.gladestrings, /mnt/devel/CVS/rhn/up2date/rpmSource.py, /mnt/devel/CVS/rhn/up2date/up2date.py, /mnt/devel/CVS/rhn/up2date/version, /mnt/devel/CVS/rhn/up2date/wrapper.py:
	mmm, lots of bits but two main things:

	a fix for #60222
		Dont silently let package install failures pass. This requires a new
		rpm, but it seems to work (with an old rpm, the behaviour is the same
		as current, silent failure)

		This touches wrapper.py, up2date.py, gui.py, actions/packages.py
		and actions/errstatus.txt

		new exception RpmInstallError thats caught in gui/cli/action

	a fix for #53583
		already downloaded packages werent taken into acount for the
		available space checks.

		the glade changes are a wording update to make this more clear

	* /mnt/devel/CVS/rhn/up2date/test/test_packages/cpio-error.spec:
	spec file for a fake package that causes a cpio error

2002-04-08  Adrian Likins  <alikins@sludge.redhat.com>

	* /mnt/devel/CVS/rhn/up2date/update-up2date.py:
	add support for updating rhn_regiser/up2date config files

2002-04-04  Adrian Likins  <alikins@sludge.redhat.com>

	* /mnt/devel/CVS/rhn/up2date/configdlg.glade:
	add latest based on suggest from taw
	didnt even realize this was exposed to the gui

2002-04-03  Adrian Likins  <alikins@sludge.redhat.com>

	* /mnt/devel/CVS/rhn/up2date/gui.glade: fix the label on the url button

	* /mnt/devel/CVS/rhn/up2date/up2date.desktop, /mnt/devel/CVS/rhn/up2date/version:
	Building release up2date-2_7_66

	* /mnt/devel/CVS/rhn/up2date/up2date-config.desktop:
	s/RHN/Red Hat Network
	#62133

2002-03-28  Mihai Ibanescu  <misa@sludge.redhat.com>

	* /mnt/devel/CVS/rhn/up2date/clap.py: Added the poptname option.
	Slightly better approach, with dictionaries instead of lists.

2002-03-27  Adrian Likins  <alikins@sludge.redhat.com>

	* /mnt/devel/CVS/rhn/up2date/version: Building release up2date-2_7_65

	* /mnt/devel/CVS/rhn/up2date/ChangeLog:
	update the long out of date ChangeLog with a cleaned up
	`rcs2log` output. Cleaned and sanitize for our protection
	and yours.

	* /mnt/devel/CVS/rhn/up2date/gui.py:
	catch 404's when fetching source rpms as well

2002-03-27  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/gui.py:
	catch 404's when fetching source rpms as well

2002-03-26  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/Makefile:
	add applink and sysconf dirs to the list of dirs

	* /mnt/devel/CVS/rhn/up2date/up2date.spec, /mnt/devel/CVS/rhn/up2date/version:
	Building release up2date-2_7_64

	* /mnt/devel/CVS/rhn/up2date/Makefile, /mnt/devel/CVS/rhn/up2date/up2date.spec:
	move desktop files to seperate files in the tarball instead
	of being created on the fly.

	update specfile and makefile to do this. specfile
	also conditionally installs desktop files in /etc/X11/sysconfig
	for approriate releases

	* /mnt/devel/CVS/rhn/up2date/up2date-config.desktop, /mnt/devel/CVS/rhn/up2date/up2date.desktop:
	according to hp, these are better as files in the tarball, not
	created on the fly by the spec file

2002-03-25  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/wrapper.py:
	--configure doesnt have to be "graphical"

	fix for #61756

	* /mnt/devel/CVS/rhn/up2date/man/en/up2date.8, /mnt/devel/CVS/rhn/up2date/wrapper.py:
	Might as well document the --gpg-flags options

	fix  #61763

	* /mnt/devel/CVS/rhn/up2date/version: bump version

	* /mnt/devel/CVS/rhn/up2date/wrapper.py:
	we can just exit after we show the channel list if we were
	passed "--show-channels". Nothing else uses it, and this seems
	to be the behaviours users expect.

	fix for #61764

	* /mnt/devel/CVS/rhn/up2date/wrapper.py:
	exit with a helpful message if "--solvedeps" isnt able to find packages
	that solve the deps.

	fix for #61766

	* /mnt/devel/CVS/rhn/up2date/up2date.spec:
	document some of the defines at the top

	add a newone "uses_pam_pwdb"

	replace the
	# only needed for 6.x
	cp up2date.pam6x up2date.pam

	that _always_ got ran with
	a conditional version on "uses_pam_pwdb". grumble

	* /mnt/devel/CVS/rhn/up2date/up2date.console, /mnt/devel/CVS/rhn/up2date/up2date-nox.console:
	utilize the NOXOPTION available in the new versions of usermode(1.5 or so)

	This will fix a freaking metric crapload of bug reports, albeit only on releases
	with usermode-1.5 or higher. Basically, should eliminate 99% of the "I said
	--nox and it still popped up a gui passwd dialog" bug reports.

	nalin swears that the extra args will be ignored by older versions of
	usermode, so I can install the same console files on all platforms.

	* /mnt/devel/CVS/rhn/up2date/wrapper.py:
	try to import from site-packages first,
	if that fails, try to import from /usr/share/rhn/up2date_client

	argh, why is commandline parsing causing me so much pain

	fix for #61749

	* /mnt/devel/CVS/rhn/up2date/version: fixes for 61754 and 61888
	(log file dates wrong, traceback when logfile isnt writeable)

	* /mnt/devel/CVS/rhn/up2date/up2date.py:
	try/except around creation of the log object

	If the log object is not writable by the current process,
	politely explain that instead of a traceback

	(we check to see if were running as root in the wrapper,
	but the wrapper imports up2date, which creates the log
	object before we do the uid and other sanity checks....)
	so special case it for the log class

	* /mnt/devel/CVS/rhn/up2date/up2date.py: fix for #61888

	(the date for log file entries wasnt useful)

	based on patch from redhat@sublogic.com

2002-03-22  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/version, /mnt/devel/CVS/rhn/up2date/up2date.spec:
	Building release up2date-2_7_61

	* /mnt/devel/CVS/rhn/up2date/up2date.py:
	clarification in comments, and some reformating

	* /mnt/devel/CVS/rhn/up2date/actions/packages.py: typo

	* /mnt/devel/CVS/rhn/up2date/actions/errstatus.txt, /mnt/devel/CVS/rhn/up2date/actions/packages.py, /mnt/devel/CVS/rhn/up2date/gui.py, /mnt/devel/CVS/rhn/up2date/up2date.py, /mnt/devel/CVS/rhn/up2date/wrapper.py:
	ah, the things you see when you assume everything is wrong

	gui.py:
		catch the new FileNotFoundError for 404'
		    for getHeaders and getPackages
		    FIXME: make sure we do the right thing for
		     packagelist fetching

		catch the DepenencySenseError as well

	up2date.py:
		define new FileNotFoundError
		fix SkipListError to actually send the list of
		   packages on the skip list to the server for processing/display

		modify doCall to raise a FileNotFoundError immediately if
		we get a 404 from the server. Before we would of tried this
		5 times, then raised a CommunicationsError

		remove the "raise UnsolvedDepError" from solveDep. sigh.
		I was so hoping I could clean some of that stuff up with exceptions,
		but the gui doesnt like solveDep being intererupted currently.

	wrapper.py:
		catch fileNotFoundError

	errstatus.txt:
		new info about FileNotFound

	actions/packages.py:
		catch FileNotFoundError and send useful data back to the server

	* /mnt/devel/CVS/rhn/up2date/version: Building release up2date-2_7_60

	* /mnt/devel/CVS/rhn/up2date/up2date.py:
	despite the commandline flag and env name is "homedir" and "gnupghome"
	it actually wants the .gnupg subdir of your homedir. This breaks the
	heck out of version 2.7.46. 

	* /mnt/devel/CVS/rhn/up2date/version: Building release up2date-2_7_59

	* /mnt/devel/CVS/rhn/up2date/wrapper.py: typo in help string

	* /mnt/devel/CVS/rhn/up2date/version: Building release up2date-2_7_58

	* /mnt/devel/CVS/rhn/up2date/up2date.py:
	at least only define gpg_home_dir in one place...

	should this be a config option??

	* /mnt/devel/CVS/rhn/up2date/up2date.py, /mnt/devel/CVS/rhn/up2date/version:
	Building release up2date-2_7_57

	* /mnt/devel/CVS/rhn/up2date/version: Building release up2date-2_7_56

	* /mnt/devel/CVS/rhn/up2date/actions/packages.py: typo

	* /mnt/devel/CVS/rhn/up2date/version: Building release up2date-2_7_55

	* /mnt/devel/CVS/rhn/up2date/wrapper.py:
	messaging bug when running stuff from actions
	(would tell user to import key to private keyring even on rpm 4.0.3)

	* /mnt/devel/CVS/rhn/up2date/version: Building release up2date-2_7_54

	* /mnt/devel/CVS/rhn/up2date/rhnsd.c, /mnt/devel/CVS/rhn/up2date/up2date.py, /mnt/devel/CVS/rhn/up2date/version:
	Building release up2date-2_7_53

2002-03-21  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/up2date.spec:
	Building release up2date-2_7_52

	* /mnt/devel/CVS/rhn/up2date/version:
	just for reference since I forgot to inculde bug numbers before,
	the recent rhnsd and up2date.py changes should fix
	61527
	61549
	61548 (actually fix 2.7.48 or so...)
	61541
	61511

	* /mnt/devel/CVS/rhn/up2date/Makefile, /mnt/devel/CVS/rhn/up2date/up2date.spec, /mnt/devel/CVS/rhn/up2date/version:
	Building release up2date-2_7_52

	* /mnt/devel/CVS/rhn/up2date/up2date.py:
	patch from james manning (redhat@sublogic.com) for cleaning
	up some text and whatnot


2002-03-20  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/up2date.spec, /mnt/devel/CVS/rhn/up2date/version, /mnt/devel/CVS/rhn/up2date/Makefile:
	Building release up2date-2_7_51

	* /mnt/devel/CVS/rhn/up2date/BETA-RPM-GPG-KEY:
	Escape From The Planet of The Beta GPG Key

	yet another new bet gpg key

	* /mnt/devel/CVS/rhn/up2date/wrapper.py: grumble

	catch up2date.UnsolvedDependencyError and show a pretty
	error message instead of a traceback. This happens when you
	have a package on the skip list that gets pulled in for deps.

	grumble. see #61457

	The update wouldnt of worked anyway, but it shouldnt traceback.

2002-03-15  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/version: Building release up2date-2_7_49

	* /mnt/devel/CVS/rhn/up2date/BETA-RPM-GPG-KEY, /mnt/devel/CVS/rhn/up2date/up2date-keyring.gpg, /mnt/devel/CVS/rhn/up2date/version:
	Beneath the Planet of the GPG keys.

	back to a non expiring keyring

	* /mnt/devel/CVS/rhn/up2date/BETA-RPM-GPG-KEY, /mnt/devel/CVS/rhn/up2date/up2date-keyring.gpg:
	use the key that expires

	* /mnt/devel/CVS/rhn/up2date/BETA-RPM-GPG-KEY:
	works a little better if I commit the file first

	* /mnt/devel/CVS/rhn/up2date/up2date.spec, /mnt/devel/CVS/rhn/up2date/version:
	Building release up2date-2_7_48

	* /mnt/devel/CVS/rhn/up2date/up2date-keyring.gpg, /mnt/devel/CVS/rhn/up2date/up2date.spec, /mnt/devel/CVS/rhn/up2date/Makefile:
	add BETA-RPM-GPG-KEY to rpm
	add BETA-RPM-GPG-KEY to the default keyring

	* /mnt/devel/CVS/rhn/up2date/up2date.spec, /mnt/devel/CVS/rhn/up2date/version:
	Building release up2date-2_7_47

2002-03-15  Cristian Gafton  <gafton@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/Makefile: Building release up2date-2_7_46

2002-03-14  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/rpmSource.py:
	raise a useful error message on partial reads, and retry

2002-03-11  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/version, /mnt/devel/CVS/rhn/up2date/up2date.spec:
	Building release up2date-2_7_46

	* /mnt/devel/CVS/rhn/up2date/checkbootloader.py:
	latest from jeremy, should fix the  `boot="/dev/hda"` bug

	* /mnt/devel/CVS/rhn/up2date/version: Up2date .45

	Billy Dee says "It works every time"

	* /mnt/devel/CVS/rhn/up2date/actions/packages.py, /mnt/devel/CVS/rhn/up2date/wrapper.py, /mnt/devel/CVS/rhn/up2date/up2date.py:
	some changes to make one of the return codes more accurate (though
	no more specific)

	The details of what failed and why are in the data chunk for
	future extraction...

	* /mnt/devel/CVS/rhn/up2date/version: Building release up2date-2_7_44

	* /mnt/devel/CVS/rhn/up2date/actions/errstatus.txt, /mnt/devel/CVS/rhn/up2date/actions/packages.py:
	include a "name" and a "version" field along with the other
	data we include in the data dict we optionally return with
	some errata.

	errstatus:
		include information about the format of the dict
		we return

	* /mnt/devel/CVS/rhn/up2date/up2date.spec, /mnt/devel/CVS/rhn/up2date/lilocfg.py, /mnt/devel/CVS/rhn/up2date/version, /mnt/devel/CVS/rhn/up2date/wrapper.py:
	Building release up2date-2_7_43

	* /mnt/devel/CVS/rhn/up2date/actions/packages.py:
	grumble, the deps tuple can have None in it, so cleanse the
	data before sending it via xmlrpc

	This could probabaly be hacked around in xmlrpclib, but I
	dont know if we want to go down that road...

2002-03-07  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/version, /mnt/devel/CVS/rhn/up2date/up2date.spec:
	Building release up2date-2_7_42

	* /mnt/devel/CVS/rhn/up2date/man/en/up2date.8: doc fixes from tfox

	* /mnt/devel/CVS/rhn/up2date/version, /mnt/devel/CVS/rhn/up2date/up2date.spec:
	Building release up2date-2_7_41

	* /mnt/devel/CVS/rhn/up2date/version:
	just bump it so I can get release numbers I like

	* /mnt/devel/CVS/rhn/up2date/version: Building release up2date-2_7_40

	* /mnt/devel/CVS/rhn/up2date/version:
	ignore that last bit of version number cracked headedness

	* /mnt/devel/CVS/rhn/up2date/up2date.spec, /mnt/devel/CVS/rhn/up2date/version:
	Building release up2date-2_7_34

	* /mnt/devel/CVS/rhn/up2date/man/en/up2date.8:
	update the man page with some new commandline options
	and FILEs

2002-03-06  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/version, /mnt/devel/CVS/rhn/up2date/up2date.spec:
	Building release up2date-2_7_39

	* /mnt/devel/CVS/rhn/up2date/rpmSource.py, /mnt/devel/CVS/rhn/up2date/up2date.py:
	removed dead crufy not really working code...

	dont attempt to guess if we need to login in again and get
	new tokens anymore. If we do, the server will let us know,
	and we can do it. Should fix an issue with some weird behaviour
	on boxes with fscked up clocks.

	* /mnt/devel/CVS/rhn/up2date/up2date.spec, /mnt/devel/CVS/rhn/up2date/version:
	Building release up2date-2_7_38

	* /mnt/devel/CVS/rhn/up2date/wrapper.py:
	add up2date -v -v support to up2date (assuming rpm 4.0.4 or later is installed).
	This is equilivent to `rpm -v -v`. AKA, a level of debugging info that
	only jeff understands ;->

	* /mnt/devel/CVS/rhn/up2date/actions/errstatus.txt, /mnt/devel/CVS/rhn/up2date/actions/packages.py, /mnt/devel/CVS/rhn/up2date/wrapper.py, /mnt/devel/CVS/rhn/up2date/up2date.py:
	This is a set of changes to attempt to return more meaningful error
	messages to the servers on failed actions.

	up2date.py:
		addded several new exceptions
		raise UnsolvedDependcyError in cases where we solve a dep
		   because the package providing the dep in on a skip list

	wrapper.py:
		return the list of packages skipped so we can use them later
		raise exceptions when we cant install a package because it's
		on a skip list.

	errstatus.txt
		the new exceptions and return statues

	actions/packages.py
		catch all those wonderful new exceptions and attempt to
		construct meaningful failure messages

2002-03-05  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/checkbootloader.py:
	The most recent version of checkbootloader.py from jerermy

	should fix bugs #60200 and a couple others, but bugzilla is being
	a pain atm

2002-03-04  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/up2date.spec, /mnt/devel/CVS/rhn/up2date/version:
	Building release up2date-2_7_37

2002-03-01  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/version: Building release up2date-2_7_37

	* /mnt/devel/CVS/rhn/up2date/rpmSource.py, /mnt/devel/CVS/rhn/up2date/up2date.py:
	rpmSource.py:
		- import struct since I use it
		- change listPackages methods to returning the parsed list
		 instead of xml so I can throw and catch exceptions while
		 parsing the xml in a place thats easy to recover from
		corrupt packageList on disk just result in a refetch of
		the list now instead of a traceback

	up2date.py:
		changes to use the new listPackages method

	* /mnt/devel/CVS/rhn/up2date/up2date.spec, /mnt/devel/CVS/rhn/up2date/version:
	Building release up2date-2_7_36

	* /mnt/devel/CVS/rhn/up2date/version: Building release up2date-2_7_35

	* /mnt/devel/CVS/rhn/up2date/rpmSource.py:
	quick fix for corrupt header issue based
	on patch from misa.

2002-02-28  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/gui.py, /mnt/devel/CVS/rhn/up2date/wrapper.py:
	fix for traceback mentioned in #60506
	catch networkErrors when doing package list updates

	* /mnt/devel/CVS/rhn/up2date/up2date.spec, /mnt/devel/CVS/rhn/up2date/version:
	Building release up2date-2_7_34

2002-02-27  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/up2date.spec, /mnt/devel/CVS/rhn/up2date/version:
	Building release up2date-2_7_33

2002-02-26  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/Makefile, /mnt/devel/CVS/rhn/up2date/up2date.spec, /mnt/devel/CVS/rhn/up2date/update-up2date.py, /mnt/devel/CVS/rhn/up2date/version:
	Building release up2date-2_7_32

2002-02-25  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/go-rhn.sh: point at the intended url
	acknowledge nalin's twisted bash2ism

	* /mnt/devel/CVS/rhn/up2date/go-rhn.sh:
	first pass at a "go get the bootstrapper script and run it" bootstrapping
	script.

	TODO: need to fix the evil bash2 fetch method to detect if bash2 is available
	TODO: more fetch methods? whats there for 6.2?

2002-02-23  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/update-up2date.py:
	first pass at a external util to automatically update up2date.

	a bit ugly at the moment

2002-02-22  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/up2date.py: piddly comment change

	* /mnt/devel/CVS/rhn/up2date/wrapper.py: missed a debugging statement

	* /mnt/devel/CVS/rhn/up2date/version: Building release up2date-2_7_31

	* /mnt/devel/CVS/rhn/up2date/gui.py, /mnt/devel/CVS/rhn/up2date/up2date.py, /mnt/devel/CVS/rhn/up2date/wrapper.py:
	up2date.py:
		gpg handling fixes
	wrapper.py:
		be more selective in what exceptions we catch to avoid hiding bugs
	gui.py:
		missed a gtk2 ism (gtk.cursor is gdk.cursor in 1.2)

	* /mnt/devel/CVS/rhn/up2date/up2date.py: logic fix

2002-02-21  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/up2date.py:
	first pass at adding support for rpm version deependent functionality

	this time, we only use the new gpg keyring location of the version
	of rpm supports it.

	* /mnt/devel/CVS/rhn/up2date/version: Building release up2date-2_7_30

	* /mnt/devel/CVS/rhn/up2date/up2date.spec:
	Building release up2date-2_7_29

	* /mnt/devel/CVS/rhn/up2date/up2date.py:
	saner working fix for 52243, 52302 that doesnt bust the fsck out
	of everything else.

2002-02-20  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/version: Building release up2date-2_7_29

	* /mnt/devel/CVS/rhn/up2date/up2date.py: fix for #60110

	check to see if the list of solved deps exists/is actually a
	list before indexing into it

2002-02-19  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/checkbootloader.py, /mnt/devel/CVS/rhn/up2date/version:
	Building release up2date-2_7_28

	* /mnt/devel/CVS/rhn/up2date/up2date.py, /mnt/devel/CVS/rhn/up2date/wrapper.py:
	another chip RFE, no good bugzilla entry for this one

	allow up2date to show all packages in a given channel from the commandline
	ie:
		up2date --chanell "skunkworks-gnome-7.2-i386" --showall

	* /mnt/devel/CVS/rhn/up2date/version: Building release up2date-2_7_27

	* /mnt/devel/CVS/rhn/up2date/up2date.py, /mnt/devel/CVS/rhn/up2date/wrapper.py:
	first pass at: RFE #60074

	add a --gpg-flags option to echo the settings up2date/rpm will
	exec gpg with (namely, which keyring)

2002-02-12  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/up2date.py:
	fix for a dep solving bug where a lib package update can
	cause a old package to raise a unresolved dep, but wasnt
	being handled properly.

	argh.

2002-02-06  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/up2date.spec, /mnt/devel/CVS/rhn/up2date/version:
	Building release up2date-2_7_26

2002-02-05  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/version: Building release up2date-2_7_26

	* /mnt/devel/CVS/rhn/up2date/gui.py, /mnt/devel/CVS/rhn/up2date/wrapper.py:
	implement RFE's 59343 and 59344
	(add a --src/--nosrc commandline option)
	(add a --nodownload option)
	mostly stuff to make testing a bit easier.

	* /mnt/devel/CVS/rhn/up2date/rpmSource.py:
	properly cache src rpm downloads
	fix for bug #59149

2002-02-04  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/gui.py, /mnt/devel/CVS/rhn/up2date/wrapper.py:
	the rest of the bits s/xmlrpclib/rpclib

	* /mnt/devel/CVS/rhn/up2date/rhn_check.py: make it use rhnlib as well

2002-01-31  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/version, /mnt/devel/CVS/rhn/up2date/up2date.spec, /mnt/devel/CVS/rhn/up2date/gui.py:
	Building release up2date-2_7_25

	* /mnt/devel/CVS/rhn/up2date/up2date.py, /mnt/devel/CVS/rhn/up2date/up2dateUtils.py, /mnt/devel/CVS/rhn/up2date/wrapper.py:
	wrapper.py:
		python2 updates

	up2date.py:
		change to use rpclib if it's available
		else, rpclib = __import__("xmlrpclib")
			(mild backwards comparbility hack)
		be more verbose on dep errors (include the >,<,==, etc
		  info) #59042
	up2dateUtils:
		function to support the more verbose dep errors

2002-01-28  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/man/en/up2date.8:
	add --show-channels to man page

	* /mnt/devel/CVS/rhn/up2date/po/gui.gladestrings, /mnt/devel/CVS/rhn/up2date/rpmSource.py, /mnt/devel/CVS/rhn/up2date/version:
	Building release up2date-2_7_24

	* /mnt/devel/CVS/rhn/up2date/gui.glade:
	add a href button and short blurb about using the web site
	for channel subscriptions and what not.

	fix bug/rfe 58708

	* /mnt/devel/CVS/rhn/up2date/wrapper.py:
	make "up2date --nox --show-channels"
	show a list of channels the user is subscribed to

2002-01-26  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/up2date.py, /mnt/devel/CVS/rhn/up2date/wrapper.py:
	add a --show-channels option for --list and --showall
	bug #57536

2002-01-22  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/Makefile:
	no point in having the key world readable

2002-01-18  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/version: Building release up2date-2_7_23

	* /mnt/devel/CVS/rhn/up2date/gui.py: forgot this gui bit.

	make sure the column names are labeled correctly

	* /mnt/devel/CVS/rhn/up2date/gui.py, /mnt/devel/CVS/rhn/up2date/up2date.py:
	fix bug #58475 (again)

	Instead of eliminating the checkmarks, I implemented the bits
	needed to make them actually do what people expected.

	* /mnt/devel/CVS/rhn/up2date/version: Building release up2date-2_7_22

	* /mnt/devel/CVS/rhn/up2date/up2date.py:
	doh, /tmp/foo1 is not a good replacement for /dev/null
	weird debugging code, removed...

	* /mnt/devel/CVS/rhn/up2date/gui.py:
	remove the unused and confusing checkmarks in the channel list screen

	BAD GUI! BAD!

	* /mnt/devel/CVS/rhn/up2date/version: Building release up2date-2_7_21

	* /mnt/devel/CVS/rhn/up2date/wrapper.py:
	handle gpg verification errors in cmdline mode a bit nicer

2002-01-17  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/up2date.spec, /mnt/devel/CVS/rhn/up2date/version:
	Building release up2date-2_7_20

	* /mnt/devel/CVS/rhn/up2date/up2date.spec: apparently it is 2002 now

	* /mnt/devel/CVS/rhn/up2date/up2date.spec, /mnt/devel/CVS/rhn/up2date/version:
	Building release up2date-2_7_20

	* /mnt/devel/CVS/rhn/up2date/up2date-keyring.gpg:
	default keyring containing redhats rpm signing key

	* /mnt/devel/CVS/rhn/up2date/config.py, /mnt/devel/CVS/rhn/up2date/Makefile, /mnt/devel/CVS/rhn/up2date/rpmSource.py, /mnt/devel/CVS/rhn/up2date/up2date.config, /mnt/devel/CVS/rhn/up2date/up2date.py, /mnt/devel/CVS/rhn/up2date/up2date.spec, /mnt/devel/CVS/rhn/up2date/wrapper.py:
	Makefile
	config.py
	up2date.config
	up2date.py
	wrapper.py
	up2date.spec: add support for a private gpg keyring

	rpmSource.py: fix possible divide by zero on fast hardware

2001-12-18  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/actions/packages.py:
	catch a few more exceptions.
	Thats a pretty good pile of exceptions, but it seems cleaner

2001-12-17  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/version, /mnt/devel/CVS/rhn/up2date/up2date.spec:
	Building release up2date-2_7_19

	* /mnt/devel/CVS/rhn/up2date/up2date.spec, /mnt/devel/CVS/rhn/up2date/version:
	Building release up2date-2_7_18

	* /mnt/devel/CVS/rhn/up2date/actions/errstatus.txt, /mnt/devel/CVS/rhn/up2date/actions/packages.py, /mnt/devel/CVS/rhn/up2date/up2date.py, /mnt/devel/CVS/rhn/up2date/wrapper.py:
	more fine grained error reporting for gpg based failures.

2001-12-13  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/version, /mnt/devel/CVS/rhn/up2date/up2date.spec:
	Building release up2date-2_7_17

	* /mnt/devel/CVS/rhn/up2date/config.py, /mnt/devel/CVS/rhn/up2date/rhn_check.py, /mnt/devel/CVS/rhn/up2date/up2date.py:
	allow users to specify what CA certs to use. Handy for proxies/sattelites

	needs some testing, but pretty straightforward

	* /mnt/devel/CVS/rhn/up2date/wrapper.py:
	small cosmetic change suggested by todd

	* /mnt/devel/CVS/rhn/up2date/version, /mnt/devel/CVS/rhn/up2date/up2date.spec:
	Building release up2date-2_7_16

2001-12-10  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/test/lilo.confs/lilo.conf.quoted-root:
	new lilo.conf test
	this one for the case of
	boot="/dev/hda"

	the quotes break up2date

2001-12-07  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/getMethod.py: unintentional

	* /mnt/devel/CVS/rhn/up2date/getMethod.py, /mnt/devel/CVS/rhn/up2date/version:
	Building release up2date-2_7_12

	* /mnt/devel/CVS/rhn/up2date/up2date.py:
	fix for an odd case of mulitple packages solving a dep

	heavily based on patch from chip turner

2001-12-04  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/man/en/up2date.8:
	installedif should be a word

	* /mnt/devel/CVS/rhn/up2date/man/en/up2date.8: man page cleanup

2001-11-16  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/lilocfg.py:
	add a comment in english or at least something resembling it this time

	* /mnt/devel/CVS/rhn/up2date/lilocfg.py:
	just a comment so I dont forget how this code works again

	* /mnt/devel/CVS/rhn/up2date/lilocfg.py: ack, another unintional commit

	* /mnt/devel/CVS/rhn/up2date/lilocfg.py, /mnt/devel/CVS/rhn/up2date/up2date.spec, /mnt/devel/CVS/rhn/up2date/version:
	Building release up2date-2_7_11

2001-11-15  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/version, /mnt/devel/CVS/rhn/up2date/up2date.spec:
	Building release up2date-2_7_11

	* /mnt/devel/CVS/rhn/up2date/configdlg.py: cut & paste typo

	fix traceback reported by dmcook when removing
	files from the fileskip list in the gui config

	wow, thats an old one...

	* /mnt/devel/CVS/rhn/up2date/version, /mnt/devel/CVS/rhn/up2date/up2date.spec:
	Building release up2date-2_7_10

	* /mnt/devel/CVS/rhn/up2date/up2date.py:
	patch from misa to fix a conflicts resolving bug

2001-11-14  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/version, /mnt/devel/CVS/rhn/up2date/up2date.spec:
	Building release up2date-2_7_9

	* /mnt/devel/CVS/rhn/up2date/rpmSource.py:
	show a progress bar if download time is under a sec

	gah, ssl really kills bandwidth

	* /mnt/devel/CVS/rhn/up2date/version, /mnt/devel/CVS/rhn/up2date/up2date.spec:
	Building release up2date-2_7_8

	* /mnt/devel/CVS/rhn/up2date/rpmSource.py:
	doh, last commit went in with a make archive...
	the previous revision to this file was a patch from misa

	basically:
		dont be dumb about keeping the file buffer in mem
		try to be saner about progress counting
		move the target file opening into readFD
		raise a "PartialReadError" on short reads

	Should speed up downloading alot

	* /mnt/devel/CVS/rhn/up2date/rpmSource.py, /mnt/devel/CVS/rhn/up2date/version:
	Building release up2date-2_7_8

2001-11-13  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/version, /mnt/devel/CVS/rhn/up2date/up2date.spec, /mnt/devel/CVS/rhn/up2date/up2date.py, /mnt/devel/CVS/rhn/up2date/wrapper.py:
	Building release up2date-2_7_7

	* /mnt/devel/CVS/rhn/up2date/up2date.py: typo

2001-11-12  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/version, /mnt/devel/CVS/rhn/up2date/up2date.spec:
	Building release up2date-2_7_6

	* /mnt/devel/CVS/rhn/up2date/clap.py:
	avoid possible conflicts on poptmodule.so

	* /mnt/devel/CVS/rhn/up2date/version, /mnt/devel/CVS/rhn/up2date/up2date.spec, /mnt/devel/CVS/rhn/up2date/Makefile:
	Building release up2date-2_7_5

2001-11-11  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/version, /mnt/devel/CVS/rhn/up2date/up2date.spec:
	Building release up2date-2_7_5

	* /mnt/devel/CVS/rhn/up2date/up2date.spec:
	okay, think this is more "kosher"

	* /mnt/devel/CVS/rhn/up2date/version, /mnt/devel/CVS/rhn/up2date/up2date.spec:
	Building release up2date-2_7_5

	* /mnt/devel/CVS/rhn/up2date/up2date.spec:
	Building release up2date-2_7_5

2001-11-10  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/up2date.spec, /mnt/devel/CVS/rhn/up2date/version:
	Building release up2date-2_7_5

	* /mnt/devel/CVS/rhn/up2date/up2date.py, /mnt/devel/CVS/rhn/up2date/wrapper.py:
	up2date.py:
		patch from misa to fix handling multiple versions of the same package
		in different channels

	wrapper.py:
		typo bug, s/RpmError/DepenencyError

2001-11-08  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/version: Building release up2date-2_7_4

	* /mnt/devel/CVS/rhn/up2date/up2date.spec, /mnt/devel/CVS/rhn/up2date/version:
	update

	* /mnt/devel/CVS/rhn/up2date/up2date.spec, /mnt/devel/CVS/rhn/up2date/version:
	Building release up2date-2_7_4

	* /mnt/devel/CVS/rhn/up2date/up2date.py: god damn it will I never learn
	removed debugging comments

	* /mnt/devel/CVS/rhn/up2date/version: Building release up2date-2_7_4

	* /mnt/devel/CVS/rhn/up2date/up2date.spec: build 6.2 packages

	* /mnt/devel/CVS/rhn/up2date/version: Building release up2date-2_7_4

	* /mnt/devel/CVS/rhn/up2date/up2date.spec: build for 7.2

	* /mnt/devel/CVS/rhn/up2date/version: Building release up2date-2_7_4

	* /mnt/devel/CVS/rhn/up2date/config.py, /mnt/devel/CVS/rhn/up2date/up2date.config, /mnt/devel/CVS/rhn/up2date/up2date.py:
	add support for "useNoSSLServerURL" config option so that
	gets can go through a non SSL server, but xml-rpc doesnt.

	couple people asked for this, misa, etc.

	* /mnt/devel/CVS/rhn/up2date/version: Building release up2date-2_7_4

2001-11-06  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/wrapper.py: remove vestiges of "--test"
	see bug #55810

	* /mnt/devel/CVS/rhn/up2date/rpmSource.py:
	make sure we do msgCallbacks on local packages as well
	hoepfully finish off #52388

	* /mnt/devel/CVS/rhn/up2date/version: Building release up2date-2_7_4

2001-11-05  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/grubcfg.py:
	fix "index out of range" error on grub setups where the default
	image is not a linux partion

	* /mnt/devel/CVS/rhn/up2date/lilocfg.py: doh, I'm stupid

	fix for #54792   (lilo label.bak name collides)

	* /mnt/devel/CVS/rhn/up2date/up2date.py:
	fix for the "You need to upgrade your kernel. Yes Sir. Thank you sir, May I have another" bug.

	aka, #55646

	* /mnt/devel/CVS/rhn/up2date/up2date.spec, /mnt/devel/CVS/rhn/up2date/version:
	Building release up2date-2_7_3

2001-11-02  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/rpmSource.py:
	remove old outdated incorrect test code in main()

	* /mnt/devel/CVS/rhn/up2date/version: Building release up2date-2_7_3

	* /mnt/devel/CVS/rhn/up2date/wrapper.py:
	update login info when updating package profile, so "-p" can do
	a release migration as well.

	fix #55582

	* /mnt/devel/CVS/rhn/up2date/version:
	Building release up2date-2_7_3-7_0_7

2001-11-01  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/up2date.spec:
	no need to have "/usr/sbin/up2date" in up2date and up2date-gnome

	* /mnt/devel/CVS/rhn/up2date/rpmSource.py:
	use 64k chunk size by default

2001-10-25  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/version:
	Building release up2date-2_7_3-0_7_0_6

2001-10-24  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/version:
	Building release up2date-2_7_3-7_x_6

	* /mnt/devel/CVS/rhn/up2date/up2date.spec: build 7.x packages

	* /mnt/devel/CVS/rhn/up2date/wrapper.py: typo bug #54755

	* /mnt/devel/CVS/rhn/up2date/up2date.spec, /mnt/devel/CVS/rhn/up2date/version:
	Building release up2date-2_7_3-6_x_6

	* /mnt/devel/CVS/rhn/up2date/up2date.spec: saner

	* /mnt/devel/CVS/rhn/up2date/up2date.spec:
	add defines for "no_grub" and "internal_poptmodule"
	now just need to fill in the poptmodule patch or whatever

	* /mnt/devel/CVS/rhn/up2date/version:
	Building release up2date-2_7_3-7_x_6

	* /mnt/devel/CVS/rhn/up2date/wrapper.py: couple of comments
	uniq the list of packages to update
	dont print out selPkgList (debugging cruft)

2001-10-23  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/version:
	Building release up2date-2_7_3-7_x_5

	* /mnt/devel/CVS/rhn/up2date/wrapper.py:
	make selectPackages() handle the stuff that selectPackages2() used
	to as well (basically, making sure the packages specified on the commandline
	get added...)

	also, more filters!

	* /mnt/devel/CVS/rhn/up2date/version:
	Building release up2date-2_7_3-7_x_4

	* /mnt/devel/CVS/rhn/up2date/up2date.py, /mnt/devel/CVS/rhn/up2date/wrapper.py:
	move to more generic code, and canned selectPackages2
	more picky about list matches
	make all versions get ran against removeInstalledPackagesFromList

	* /mnt/devel/CVS/rhn/up2date/version:
	Building release up2date-2_7_3-7_x_3

	* /mnt/devel/CVS/rhn/up2date/up2date.py:
	archscore() == 0 is an invalid arch

	* /mnt/devel/CVS/rhn/up2date/up2date.spec, /mnt/devel/CVS/rhn/up2date/version:
	Building release up2date-2_7_3-7_x_2

	* /mnt/devel/CVS/rhn/up2date/up2date.py, /mnt/devel/CVS/rhn/up2date/wrapper.py:
	wrapper.py:
		modifie selectPackges to filter against already installed
		   or updated packages

		make sure that we find all the occurences of a given package
		including multiple arches, so that we can feed it into the
		archscore stuff for proper disposal.

	up2date.py:
		fix a stupid bug that I dont see how it ever worked

	This should make errata.update and package.update actions somewhat
	more robust (they dont crap out if a package specified is newer
	or already installed)

	* /mnt/devel/CVS/rhn/up2date/version:
	Building release up2date-2_7_3-7_x_1

	* /mnt/devel/CVS/rhn/up2date/up2date.spec, /mnt/devel/CVS/rhn/up2date/version:
	Building release up2date-2_7_3-7_x_0

	* /mnt/devel/CVS/rhn/up2date/up2date.py, /mnt/devel/CVS/rhn/up2date/up2dateUtils.py:
	up2date.py:
		use rpm.archScore for package scoring. I didnt do this before
		because I'm stupid or something.

		pretend packages specified on the commandline are "noarch" instead
		of trying to devine a base arch. Seems to work just dandy.

	up2dateUtils:
		remove scoreArch, the arch table, getArch, getRealArch, getBaseArch,
		etc. Dont need them. Never liked having that table anyway.

	Now for the "wwjd"* testing...


	* wwjd == "What would Jay do?"

2001-09-26  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/up2date.spec, /mnt/devel/CVS/rhn/up2date/version:
	Building release up2date-2_7_2-7_x_7

	* /mnt/devel/CVS/rhn/up2date/up2dateUtils.py: arch info for s390

	* /mnt/devel/CVS/rhn/up2date/up2date_design.txt:
	working copy of this info

2001-09-19  Cristian Gafton  <gafton@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/rhnsd.init:
	make sure rhnsd is started in the right levels.

2001-09-14  Cristian Gafton  <gafton@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/hardware.py:
	Import the board bedor in the board element instead of overriding the vendor
	line. Oops.

2001-09-07  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/version:
	Building release up2date-2_7_2-7_x_6

	* /mnt/devel/CVS/rhn/up2date/lilocfg.py: imageType is never "" now

2001-09-07  Yukihiro Nakai  <ynakai@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/po/ja.po: Small update.

2001-09-07  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/version:
	Building release up2date-2_7_2-7_x_5

2001-09-07  Yukihiro Nakai  <ynakai@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/po/advisorywin.gladestrings, /mnt/devel/CVS/rhn/up2date/po/configdlg.gladestrings, /mnt/devel/CVS/rhn/up2date/po/gui.gladestrings, /mnt/devel/CVS/rhn/up2date/po/Makefile, /mnt/devel/CVS/rhn/up2date/po/progress.gladestrings, /mnt/devel/CVS/rhn/up2date/po/up2date.pot:
	- Update glade strings
	- Update Makefile to handle --keywords=_
	- Update up2date.pot

2001-09-07  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/lilocfg.py: remove debuggin

	* /mnt/devel/CVS/rhn/up2date/version:
	Building release up2date-2_7_2-7_x_4

2001-09-07  Yukihiro Nakai  <ynakai@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/po/ja.po: Update Japanese translation.

	* /mnt/devel/CVS/rhn/up2date/po/up2date.pot: Update up2date.pot file

	* /mnt/devel/CVS/rhn/up2date/po/Makefile:
	Add advisorywin.gladestrings to .pot generation

	* /mnt/devel/CVS/rhn/up2date/po/ja.po: Update Japanese translation.

2001-09-07  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/up2date.py:
	slight cleanup of some duped code

2001-09-07  Yukihiro Nakai  <ynakai@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/po/ja.po: Update Japanese translation.

2001-09-07  Cristian Gafton  <gafton@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/Makefile: duh

2001-09-07  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/rpmSource.py, /mnt/devel/CVS/rhn/up2date/up2date.py:
	up2date.py:
		new function to "update" the auth tokens for instances that use
		http

	rpmSource.py:
		new function to allow that to happen

	all this to let me update auth information when our token times out
	correctly. A real bug.

	* /mnt/devel/CVS/rhn/up2date/lilocfg.py, /mnt/devel/CVS/rhn/up2date/up2date.py:
	lilocfg.py:
		truncante the label name to 16 chars
		fix for lilo bug jay found

	up2date.py:
		pass the right extraInfo
		check for the proper error code when deciding if we've hit
		  and auth time out

	* /mnt/devel/CVS/rhn/up2date/lilocfg.py, /mnt/devel/CVS/rhn/up2date/up2date.py:
	possible fix for the lilo bug jay found
	needs testing...

2001-09-07  Cristian Gafton  <gafton@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/version:
	Building release up2date-2_7_2-7_x_3

	* /mnt/devel/CVS/rhn/up2date/up2date.py, /mnt/devel/CVS/rhn/up2date/up2dateUtils.py:
	- change the compat list for ia64 to be more drastic until we figure out
	something better.
	- a more sensible approach to scoring the architectures of the new packages
	against the architectures of the system and installed package
	- for now we leave the default behavior as giving preference to the system
	arch and scoring against that. (config option, hint, hint, hint!)

2001-09-06  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/version:
	Building release up2date-2_7_2-7_x_2

	* /mnt/devel/CVS/rhn/up2date/up2dateUtils.py: dang it... bug
	didnt check of existend in sysCompatArch before trying .index()
	so stuff like i686 package son a i585 throw a ValueError exception

	fix #53340

	* /mnt/devel/CVS/rhn/up2date/version:
	Building release up2date-2_7_2-7_x_1

2001-09-06  Cristian Gafton  <gafton@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/po/es.po, /mnt/devel/CVS/rhn/up2date/po/it.po:
	fix po files

	* /mnt/devel/CVS/rhn/up2date/up2date.spec: new build

	* /mnt/devel/CVS/rhn/up2date/po/Makefile:
	sync po/Makefile between rhn_register and up2date

	* /mnt/devel/CVS/rhn/up2date/po/de.po, /mnt/devel/CVS/rhn/up2date/po/es.po, /mnt/devel/CVS/rhn/up2date/po/fr.po, /mnt/devel/CVS/rhn/up2date/po/it.po, /mnt/devel/CVS/rhn/up2date/version:
	Imported translations, first round.

2001-09-06  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/up2date.py:
	oops

	* /mnt/devel/CVS/rhn/up2date/up2date.py:
	Building release up2date-2_7_0-7_x_1

2001-09-06  Cristian Gafton  <gafton@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/rhn_check.py: remove duplicate debugging

	* /mnt/devel/CVS/rhn/up2date/rhnsd.c: whitespace only

2001-09-06  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/version:
	Building release up2date-2_7_0-7_x_1

2001-09-06  Cristian Gafton  <gafton@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/rhn_check.py:
	be pedantic about error messages

	* /mnt/devel/CVS/rhn/up2date/rhn_check.py:
	- add support for RHN self disabling
	- trap yet one more possible socket networking error and avoid
	  an ugly traceback in syslog

	* /mnt/devel/CVS/rhn/up2date/actions/systemid.py:
	insert a timestamp on the disable file

	* /mnt/devel/CVS/rhn/up2date/up2date.spec:
	update requires for the package

2001-09-06  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/version:
	Building release up2date-2_6_6-7_x_4

	* /mnt/devel/CVS/rhn/up2date/up2date.spec: add actions/systemid.py

	* /mnt/devel/CVS/rhn/up2date/actions/Makefile, /mnt/devel/CVS/rhn/up2date/actions/systemid.py:
	add systemid.disable() action

	* /mnt/devel/CVS/rhn/up2date/version: bump release

2001-09-06  Cristian Gafton  <gafton@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/up2date.py: style changes

2001-09-06  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/up2date.py:
	move internal store of UpdatedList to be a dict
	attempt to handle case of multiple new packages in the availablePackgeList

	* /mnt/devel/CVS/rhn/up2date/up2date.py:
	add UpdateList class  to make the process of figuring out which
	updates we want to apply a little prettier

	* /mnt/devel/CVS/rhn/up2date/actions/packages.py, /mnt/devel/CVS/rhn/up2date/version:
	Building release up2date-2_6_6-7_x_1

	* /mnt/devel/CVS/rhn/up2date/up2date.py, /mnt/devel/CVS/rhn/up2date/up2dateUtils.py:
	more accurate handling of packages that change arch over a lifetime
	should catch noarch->arch, arch->noarch, i386->i686, and other
	perversions.

2001-09-06  Cristian Gafton  <gafton@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/version:
	Building release up2date-2_6_5-7_x_1

	* /mnt/devel/CVS/rhn/up2date/actions/Makefile:
	- separate target for dest dir
	- reduce redundancy in defines

	* /mnt/devel/CVS/rhn/up2date/actions/packages.py: spellning mistake

	* /mnt/devel/CVS/rhn/up2date/up2date.spec: no more client action

	* /mnt/devel/CVS/rhn/up2date/rhn_check.py:
	- debugging support for the method and its params
	- submit status reports

	* /mnt/devel/CVS/rhn/up2date/actions/errata.py:
	uniq the packagelist for now
	also ask for the latest versions available

2001-09-06  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/actions/errata.py:
	accept a list of errataid's, not just a single id

2001-09-06  Cristian Gafton  <gafton@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/actions/Makefile:
	client isn't needed anymore

	* /mnt/devel/CVS/rhn/up2date/actions/client.py: futile fixes

2001-09-05  Cristian Gafton  <gafton@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/actions/hardware.py: no more translate

	* /mnt/devel/CVS/rhn/up2date/actions/client.py:
	don't need no stinking translate

	* /mnt/devel/CVS/rhn/up2date/getMethod.py: space

	* /mnt/devel/CVS/rhn/up2date/actions/errata.py:
	don't need no stinking translate

	* /mnt/devel/CVS/rhn/up2date/getMethod.py: run through python

2001-09-05  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/hardware.py:
	ooops, didnt mean to commit that

	* /mnt/devel/CVS/rhn/up2date/hardware.py:
	Building release rhn_register-2_6_4-7_x_1

	* /mnt/devel/CVS/rhn/up2date/up2date.spec, /mnt/devel/CVS/rhn/up2date/version:
	Building release up2date-2_6_4-7_x_1

	* /mnt/devel/CVS/rhn/up2date/up2date.py:
	pass in the correct url for the proxyUrl (ie, the one getProxySettings)
	returns, and not whatever random value is in the config file

	fix bug #53621

	* /mnt/devel/CVS/rhn/up2date/up2date.py:
	fix for the noarch->i386 or vice versa issue

	* /mnt/devel/CVS/rhn/up2date/version: bump releas

	* /mnt/devel/CVS/rhn/up2date/version: bump release

	* /mnt/devel/CVS/rhn/up2date/wrapper.py:
	remove the super annoying beta warning screen

2001-09-05  Cristian Gafton  <gafton@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/Makefile: point at the right file

2001-09-05  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/version: bump version

	* /mnt/devel/CVS/rhn/up2date/up2date.config: point stuff back at live

2001-09-05  Cristian Gafton  <gafton@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/version:
	Building release up2date-2_6_2-7_x_1

	* /mnt/devel/CVS/rhn/up2date/gui.py:
	- add the wrap_text from rhn_register (boy, how nice it would be
	to have these two thing married together so I need to change only
	in one place...)
	- add few strings to i18n
	- some minor style cleanups

	* /mnt/devel/CVS/rhn/up2date/version:
	Building release up2date-2_6_1-7_x_4

	* /mnt/devel/CVS/rhn/up2date/actions/client.py, /mnt/devel/CVS/rhn/up2date/actions/hardware.py:
	Update for new hardware.py way of handling hardware information extraction

	* /mnt/devel/CVS/rhn/up2date/hardware.py:
	Simplify the extraction of hardware information

	* /mnt/devel/CVS/rhn/up2date/Makefile:
	exclude non-production directories for now

	* /mnt/devel/CVS/rhn/up2date/version, /mnt/devel/CVS/rhn/up2date/Makefile:
	Handle the VERSIOn substitution correctly

	* /mnt/devel/CVS/rhn/up2date/Makefile, /mnt/devel/CVS/rhn/up2date/po/Makefile:
	minor fixes for $(INSTALL)

2001-09-05  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/po/de.po, /mnt/devel/CVS/rhn/up2date/po/es.po, /mnt/devel/CVS/rhn/up2date/po/fr.po, /mnt/devel/CVS/rhn/up2date/po/it.po, /mnt/devel/CVS/rhn/up2date/po/ja.po, /mnt/devel/CVS/rhn/up2date/po/up2date.pot:
	Building release up2date-2_6_1-7_x_1

2001-09-05  Cristian Gafton  <gafton@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/man/Makefile, /mnt/devel/CVS/rhn/up2date/actions/Makefile, /mnt/devel/CVS/rhn/up2date/.cvsignore, /mnt/devel/CVS/rhn/up2date/Makefile, /mnt/devel/CVS/rhn/up2date/up2date.spec, /mnt/devel/CVS/rhn/up2date/version:
	Rework Makefiles and the spec file to work with the RHN build process

	* /mnt/devel/CVS/rhn/up2date/po/Makefile: nothin'

	* /mnt/devel/CVS/rhn/up2date/po/Makefile: - use PREFIX for relocation
	- don't rebuild po files on every make

2001-09-05  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/up2date.spec: bump release

2001-09-04  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/up2date.py:
	remove unused function (may revisit later to fix #53090)

	* /mnt/devel/CVS/rhn/up2date/up2date.py, /mnt/devel/CVS/rhn/up2date/up2dateUtils.py:
	up2dateUtils.py:
		add a client side arch map and fucntions to access i

	up2date.py:
		fix for bug #53160

2001-09-04  Cristian Gafton  <gafton@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/hardware.py: Add support for dmi

2001-09-04  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/hardware.py:
	use the value from /proc/cpuinfo as field "family" as our field "model"
	fix bug #53100

	* /mnt/devel/CVS/rhn/up2date/gui.py:
	dont assume self.pkgLength is non-empty when computing maxlength
	for the gui's.

	fix bug #53139

	* /mnt/devel/CVS/rhn/up2date/lilocfg.py, /mnt/devel/CVS/rhn/up2date/lilo.py:
	lilocfg.py: namespace cleanup (dont clobber type())

	lilo.py:
		dont flag bios drive remapping as unsupported anymore, 	It's
		actually worked for a while. fix bug #52201

	* /mnt/devel/CVS/rhn/up2date/wrapper.py:
	catch all xmlrpc faults that get returned and show the approriate
	tui/gui dialog. Fixes part of #53008

2001-08-31  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/up2date.py, /mnt/devel/CVS/rhn/up2date/up2date.spec:
	take arch in consideration when deciding what packages are available
	for updates.

	fix bug #52388

2001-08-29  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/up2date.spec: updated version to 2.6.0

	* /mnt/devel/CVS/rhn/up2date/rpmSource.py, /mnt/devel/CVS/rhn/up2date/up2date.py, /mnt/devel/CVS/rhn/up2date/up2dateUtils.py:
	rpmSource.py:
		make sure we use the arch of the header in the string we use
		as the key to our in memory header cache

		This makes stuff like i686 packages getting mishandled

	up2date.py:
		bootloader fixes
		fix the case of the non-special kernels failing

2001-08-29  Yukihiro Nakai  <ynakai@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/po/ja.po: Update Japanese translation.

2001-08-28  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/up2date.spec: update release

	* /mnt/devel/CVS/rhn/up2date/grubcfg.py:
	--set-default needs full path not just image version

	* /mnt/devel/CVS/rhn/up2date/up2date.spec: updated version to 2.6.0

	* /mnt/devel/CVS/rhn/up2date/grubcfg.py:
	commit the version that works...
	god bless pychecker

	* /mnt/devel/CVS/rhn/up2date/Makefile: *** empty log message ***

	* /mnt/devel/CVS/rhn/up2date/grubcfg.py, /mnt/devel/CVS/rhn/up2date/lilocfg.py, /mnt/devel/CVS/rhn/up2date/up2date.py, /mnt/devel/CVS/rhn/up2date/up2date.spec:
	changes to meet the new grub handling ideas
	apply changes to lilo as suggested as well

	* /mnt/devel/CVS/rhn/up2date/grubcfg.py:
	first pass at properly handling grub
	(needs "grubby" from mkinitrd)

2001-08-27  Yukihiro Nakai  <ynakai@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/po/ja.po: Update Japanese translation.

2001-08-25  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/Makefile: nclude checkbootloader.py

	* /mnt/devel/CVS/rhn/up2date/up2date.spec: updated version to 2.6.0

	* /mnt/devel/CVS/rhn/up2date/up2date.py: bootloader fixups

2001-08-24  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/configdlg.glade:
	weird label for the "noReplaceConfig" control in the config
	dialog. Replaced with something that made more sense.

	* /mnt/devel/CVS/rhn/up2date/wrapper.py: fix for bug #52288

	* /mnt/devel/CVS/rhn/up2date/up2date.spec: bump release, changelog

	* /mnt/devel/CVS/rhn/up2date/up2date.py, /mnt/devel/CVS/rhn/up2date/wrapper.py:
	change to wrapper.py to show the name of package being downloaded
	  (fix #52388)

	add a hook to use the checkbootloader module to determine if were
	using grub or lilo, and act accordingly

2001-08-23  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/checkbootloader.py:
	add jeremies code to detect if grub or lilo or installed

	* /mnt/devel/CVS/rhn/up2date/up2date.py:
	catch unsolved deps and raise an approriate exception

	shoudl fix bug #52243

2001-08-22  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/gui.glade, /mnt/devel/CVS/rhn/up2date/gui.py:
	display arch as well as n-v-r, size in package lists
	add the shadowman logo to the channel screen
	(patches from todd)

2001-08-17  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/rpmSource.py, /mnt/devel/CVS/rhn/up2date/up2date.py:
	fix the lots of hash marks bug (#51914)
	also fix the issue of updates taking longer than the life
	  of the auth tokens. Hmm, no bug number for that one.

	* /mnt/devel/CVS/rhn/up2date/up2date.py:
	fix for the auth token time out stuff. Needs testing.

2001-08-16  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/up2date.spec: updated version to 2.6.0

	* /mnt/devel/CVS/rhn/up2date/rpmSource.py: typo (pychecker)

	* /mnt/devel/CVS/rhn/up2date/up2date.spec: updated version to 2.6.0

	* /mnt/devel/CVS/rhn/up2date/up2date.py:
	right name for the xmlrpcServerUrl

	* /mnt/devel/CVS/rhn/up2date/rpmSource.py, /mnt/devel/CVS/rhn/up2date/up2date.py:
	part 2 of the proxy fix

	Looks like I wasnt actually sending along the proxy info
	for the get's. Well, anything other than proxyUrl=None anyway.

	pass along all the approriate proxy info along to the rhnHTTPlib Server()

	* /mnt/devel/CVS/rhn/up2date/rhnHTTPlib.py:
	part 1 of the proxy fix (from misa)
	actually connect as http

2001-08-14  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/gui.py, /mnt/devel/CVS/rhn/up2date/Makefile, /mnt/devel/CVS/rhn/up2date/rpmSource.py, /mnt/devel/CVS/rhn/up2date/up2date.py:
	gui.py:
		msgCallback fixup
	up2date.py:
		turn the update package detection inside out so it does the rpmvercmp
		in the same order as rpm, so we dont get as many cases of up2date
		thinking a package is newer and rpm disagreeing

	rpmSource.py:
		callback cleanups
		show the package name in the progress indicator for the tui again

	makefile:
		add a graphviz target ;->

2001-08-12  Cristian Gafton  <gafton@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/dmimodule.c:
	some stupid serial numbers have stupid termination character

2001-08-09  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/up2date.spec: updated version to 2.6.0

	* /mnt/devel/CVS/rhn/up2date/po/de.po, /mnt/devel/CVS/rhn/up2date/po/es.po, /mnt/devel/CVS/rhn/up2date/po/fr.po, /mnt/devel/CVS/rhn/up2date/po/it.po, /mnt/devel/CVS/rhn/up2date/po/ja.po, /mnt/devel/CVS/rhn/up2date/po/up2date.pot:
	update the po files

	* /mnt/devel/CVS/rhn/up2date/up2date.spec: updated version to 2.6.0

	* /mnt/devel/CVS/rhn/up2date/text_config.py:
	remove stupid debugging code
	fix some white space issues while I'm at it.
	should fix #51384

	* /mnt/devel/CVS/rhn/up2date/up2date.spec: updated version to 2.6.0

	* /mnt/devel/CVS/rhn/up2date/__init__.py: add the __init__.py file

	* /mnt/devel/CVS/rhn/up2date/po/es.po, /mnt/devel/CVS/rhn/up2date/po/fr.po, /mnt/devel/CVS/rhn/up2date/po/it.po, /mnt/devel/CVS/rhn/up2date/po/ja.po, /mnt/devel/CVS/rhn/up2date/po/up2date.pot, /mnt/devel/CVS/rhn/up2date/actions/client.py, /mnt/devel/CVS/rhn/up2date/actions/errata.py, /mnt/devel/CVS/rhn/up2date/actions/errstatus.txt, /mnt/devel/CVS/rhn/up2date/actions/hardware.py, /mnt/devel/CVS/rhn/up2date/actions/Makefile, /mnt/devel/CVS/rhn/up2date/actions/packages.py, /mnt/devel/CVS/rhn/up2date/actions/up2date_config.py, /mnt/devel/CVS/rhn/up2date/advisorywin.glade, /mnt/devel/CVS/rhn/up2date/advisorywin.py, /mnt/devel/CVS/rhn/up2date/configdlg.py, /mnt/devel/CVS/rhn/up2date/gui.py, /mnt/devel/CVS/rhn/up2date/Makefile, /mnt/devel/CVS/rhn/up2date/po/de.po, /mnt/devel/CVS/rhn/up2date/progress.py, /mnt/devel/CVS/rhn/up2date/rhn_check.py, /mnt/devel/CVS/rhn/up2date/up2date.py, /mnt/devel/CVS/rhn/up2date/up2date.spec, /mnt/devel/CVS/rhn/up2date/userpass.py, /mnt/devel/CVS/rhn/up2date/wrapper.py:
	This all started in an attempt to clean up some namespace pollution
	between actions and the up2date code...


	Makefile:
	        move actions to /usr/share/rhn/actions
	        move client code to /usr/share/rhn/up2date_client
	        create a __init__.py file in /usr/share/rhn and /usr/share/rhn/up2date_client

	advisorywin.*:
	        minor gui fixes

	configdlg.py:
	        point at new paths

	gui.py:
	        point at new paths
	        populate the channel info window

	progress.py:
	        point at new paths

	rhn_check.py:
	        point at new paths
	        import from up2date_client now
	        revert to queue.get and queue.submit (original api..)

	up2date.py:
	        make sure upgrade_version gets called if needed
	        handle case of no channels better

	up2date.spec:
	        changelog

	userpass.py:
	        new paths

	wrapper.py:
	        new paths
	        import from up2date_client

	actions/Makefile:
	        install in new path

	actions/*.py:
	        new paths
	        import from up2date_client now
	        return 0 on success, and a unique numeric id on failure

	actions/errstatus.txt:
		text file describing the error codes for doc purposes

	po/*.po:
	        po updates

2001-08-06  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/actions/hardware.py, /mnt/devel/CVS/rhn/up2date/actions/packages.py:
	use the correct method names

	* /mnt/devel/CVS/rhn/up2date/up2date.spec: updated version to 2.6.0

2001-08-04  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/wrapper.py: some code reorg
	try to use some of dem dar newfangled "function" thingamabobs
	pychecker doesnt complain about the length/complexity of batchRun() now
		at least

	* /mnt/devel/CVS/rhn/up2date/up2date.py: add config reload
	removed a meaningless blargh

	* /mnt/devel/CVS/rhn/up2date/config.py, /mnt/devel/CVS/rhn/up2date/wrapper.py:
	config.py:
		added hasEntry()
		added registerPeekConfig, a read only class to read rhn_registers config

	wrapper.py:
		added function to see if we should try to migrate rhn_regisers network settings,
		if so, we do it.

		Mostly intended for new installs, so that proxy settings are more
		intuitive and easier to setup.

	this needs some testing ;->

2001-08-03  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/wrapper.py: clean up main() a whee bit
	at least now pychecker doesnt gripe at me

	* /mnt/devel/CVS/rhn/up2date/actions/errata.py, /mnt/devel/CVS/rhn/up2date/actions/hardware.py, /mnt/devel/CVS/rhn/up2date/actions/packages.py, /mnt/devel/CVS/rhn/up2date/actions/up2date_config.py, /mnt/devel/CVS/rhn/up2date/rhn_check.py, /mnt/devel/CVS/rhn/up2date/up2date.py, /mnt/devel/CVS/rhn/up2date/wrapper.py:
	rhn_check.py:
		start using queue.report_status() in place of queue.get()
		(so we can return much more meaningful error messages)

	up2date.py:
		pychecker fixes

	actions/errata.py:
		was using obsoleted action

	actions/hardware.py
		packages.py
		up2date_config.py:

			return the new status format. ie
				(status, message, datadict)

	* /mnt/devel/CVS/rhn/up2date/gui.glade:
	get rid of useless label field with "sdfsdfsdf"

2001-08-02  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/actions/packages.py, /mnt/devel/CVS/rhn/up2date/rhn_check.py:
	handle the dep error failure consistently
	fix part of #50155
	 the other part should already be fixed

	* /mnt/devel/CVS/rhn/up2date/up2date.py, /mnt/devel/CVS/rhn/up2date/wrapper.py:
	up2date.py:
		add a global warningCallback to up2date
		modules that import up2date can call up2date.setWarningCallback()
	  	   to set this to a approriate function.

		Convert the couple of places that could still print to use the
		warningCallback instead (they were all cases where faultstrings were
		getting echo'ed to stdout...)

	wrapper.py:
		use a stdout callback as default and
	          override it for the gui version, where it uses a gnomeDialog instead

2001-08-01  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/actions/Makefile: include up2date_config

	* /mnt/devel/CVS/rhn/up2date/up2date.spec: updated version to 2.6.0

	* /mnt/devel/CVS/rhn/up2date/up2date.py:
	use the new solveDepencies call
	use the new errata.getErratum call

	* /mnt/devel/CVS/rhn/up2date/up2date.py, /mnt/devel/CVS/rhn/up2date/wrapper.py:
	pop up a dialog in gui more when we get the error
	indicating we have to entitle a server

	fix bug #50534

	* /mnt/devel/CVS/rhn/up2date/actions/up2date_config.py:
	move the up2date config updating stuff to it's own action module
	(at the moment, the site or up2date servers dont support this, but hey...)

	* /mnt/devel/CVS/rhn/up2date/actions/packages.py, /mnt/devel/CVS/rhn/up2date/wrapper.py:
	handle the case of us getting sent the corrent full [name, version,release, epoch]
	 (like before) and now also, the case of getting sent [Name, 0, 0, ""]

	So that the website can just schedule packages by Name or by full nvre

2001-07-31  Todd Warner  <taw@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/getMethod.py: o cleanup/expand comments

2001-07-28  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/actions/client.py, /mnt/devel/CVS/rhn/up2date/actions/packages.py:
	add packages

	* /mnt/devel/CVS/rhn/up2date/up2date.spec: updated version to 2.6.0

	* /mnt/devel/CVS/rhn/up2date/rhn_check.py:
	use the new form queue.get_action

	* /mnt/devel/CVS/rhn/up2date/actions/Makefile:
	build/install the new files

	* /mnt/devel/CVS/rhn/up2date/actions/errata.py, /mnt/devel/CVS/rhn/up2date/actions/hardware.py:
	splitting client.py into different modules

2001-07-28  Mihai Ibanescu  <misa@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/getMethod.py:
	Fixed the method retrieval to allow for base class names with more than one
	component (i.e. server.action)

2001-07-27  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/actions/client.py, /mnt/devel/CVS/rhn/up2date/up2date.py:
	up2date.py:
		new exception for errors in package removeal
	client.py:
		catch the new exception
		return error codes that mean something to the db

	* /mnt/devel/CVS/rhn/up2date/up2date.spec: updated version to 2.6.0

	* /mnt/devel/CVS/rhn/up2date/actions/client.py:
	export "remove_packages"

2001-07-26  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/up2date.spec: updated version to 2.6.0

	* /mnt/devel/CVS/rhn/up2date/up2date.py, /mnt/devel/CVS/rhn/up2date/wrapper.py:
	up2date.py:
		handle the different pkgNames in a saner fashion

	* /mnt/devel/CVS/rhn/up2date/actions/client.py:
	return status 6 on all failures to match the oracle schema

	for some reason this seems wrong.

	* /mnt/devel/CVS/rhn/up2date/up2date.spec: updated version to 2.6.0

	* /mnt/devel/CVS/rhn/up2date/gui.py, /mnt/devel/CVS/rhn/up2date/rhn_check.py, /mnt/devel/CVS/rhn/up2date/up2date.py, /mnt/devel/CVS/rhn/up2date/wrapper.py:
	gui.py:
		update to use new up2date.getUpdatedPackagesList args
	rhn_check.py:
		import reorg
	up2date.py:
		change getUpdatedPackageList to be able to handle the
		different format of "please install these packages" we
		sometimes get (aka, actions, and commandline...)

	wrapper.py:
		update calls to getUpdatedPackageList

2001-07-24  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/up2date.spec: updated version to 2.6.0

	* /mnt/devel/CVS/rhn/up2date/wrapper.py: add beta warning message

	* /mnt/devel/CVS/rhn/up2date/up2date.spec: updated version to 2.6.0

	* /mnt/devel/CVS/rhn/up2date/up2date.config: point to beta by default

	* /mnt/devel/CVS/rhn/up2date/up2date.spec: updated version to 2.6.0

	* /mnt/devel/CVS/rhn/up2date/up2date.py: gah, debuggin off

	* /mnt/devel/CVS/rhn/up2date/up2date.spec: updated version to 2.6.0

	* /mnt/devel/CVS/rhn/up2date/up2date.py:
	use the old solvedep for the time being

	* /mnt/devel/CVS/rhn/up2date/up2date.spec: updated version to 2.6.0

	* /mnt/devel/CVS/rhn/up2date/wrapper.py:
	import clap after adding the proper sys.path

	* /mnt/devel/CVS/rhn/up2date/up2date.spec: updated version to 2.6.0

	* /mnt/devel/CVS/rhn/up2date/wrapper.py: move to using clap/popt

2001-07-23  Mihai Ibanescu  <misa@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/clap.py:
	In consensus with Todd, remove the deprecated code
	:-)

2001-07-23  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/Makefile: add clap.py

	* /mnt/devel/CVS/rhn/up2date/up2date.spec: updated version to 2.6.0

	* /mnt/devel/CVS/rhn/up2date/po/de.po, /mnt/devel/CVS/rhn/up2date/po/es.po, /mnt/devel/CVS/rhn/up2date/po/fr.po, /mnt/devel/CVS/rhn/up2date/po/it.po, /mnt/devel/CVS/rhn/up2date/po/ja.po, /mnt/devel/CVS/rhn/up2date/po/Makefile, /mnt/devel/CVS/rhn/up2date/po/up2date.pot:
	Makefile:
		dont use the old style message format kluge, since in theory,
		the messages are now in the new format. I think.

	up2date.pot:
		new messages

	*.po:
		merged to new format with:
		OLD_PO_FILE_INPUT=yes msgmerge foo.po up2date.pot > foo_new.po

2001-07-23  Todd Warner  <taw@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/clap.py: o shut up pychecker

2001-07-23  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/up2date.py: pychecker: s/pkgname/pkgName

2001-07-20  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/actions/client.py, /mnt/devel/CVS/rhn/up2date/up2date.py:
	untested remove package code cleanup

2001-07-20  Mihai Ibanescu  <misa@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/clap.py:
	Building release python-clap-0_90-16_3

2001-07-20  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/progress.py, /mnt/devel/CVS/rhn/up2date/rpmSource.py, /mnt/devel/CVS/rhn/up2date/up2date.py, /mnt/devel/CVS/rhn/up2date/wrapper.py:
	make progress callback for fetching listalls work again

	make doCall understand keyword args as well

2001-07-19  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/actions/client.py, /mnt/devel/CVS/rhn/up2date/up2date.py, /mnt/devel/CVS/rhn/up2date/wrapper.py:
	actions cleanup
	client.py:
		return a sucess code that the db understands on complete
	up2date.py:
	wrapper.py:
		use the new format list

2001-07-17  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/rhn_check.py:
	set the proper path before import getMethod

	* /mnt/devel/CVS/rhn/up2date/up2date.spec: updated version to 2.6.0

	* /mnt/devel/CVS/rhn/up2date/gui.py: disable channel sub/unsub

	* /mnt/devel/CVS/rhn/up2date/up2date.spec: updated version to 2.6.0

	* /mnt/devel/CVS/rhn/up2date/elilocfg.py: make TEST global
	pychecker cleanups

	* /mnt/devel/CVS/rhn/up2date/actions/.cvsignore: shut up cvs

	* /mnt/devel/CVS/rhn/up2date/rhnHTTPlib.py:
	be a bit more verbose in our errmsg contents

2001-07-16  Mihai Ibanescu  <misa@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/clap.py: Added list-type checking
	Fixed some bugs

2001-07-15  Mihai Ibanescu  <misa@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/clap.py: First version to use popt.
	Changed the API a bit. Sorry Todd :-(

2001-07-12  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/Makefile: include getMethod

	* /mnt/devel/CVS/rhn/up2date/up2date.spec: updated version to 2.6.0

	* /mnt/devel/CVS/rhn/up2date/Makefile:
	build/install the actions as well

	* /mnt/devel/CVS/rhn/up2date/rhn_check.py: lowercase!
	s/Actions/actions

	* /mnt/devel/CVS/rhn/up2date/actions/client.py, /mnt/devel/CVS/rhn/up2date/actions/Makefile:
	Makefile:
		pychecker target
	client.py:
		pychecker cleanups

	* /mnt/devel/CVS/rhn/up2date/up2date.spec: updated version to 2.6.0

	* /mnt/devel/CVS/rhn/up2date/actions/client.py:
	make the currently defined actions work at module and
	class level (bit of kluge to avoid backwards compability
	issues while I bootstrap the new format)

	* /mnt/devel/CVS/rhn/up2date/actions/README:
	some very poorly organized docs on actions

	* /mnt/devel/CVS/rhn/up2date/actions/Makefile: build/install actions

	* /mnt/devel/CVS/rhn/up2date/actions/client.py, /mnt/devel/CVS/rhn/up2date/actions/__init__.py:
	first pass at new action hiearchy

	* /mnt/devel/CVS/rhn/up2date/getMethod.py:
	module/method for finding modules, methods, and classes in directory
	hiearchies. useful for "droping" actions

	Adrian

2001-07-11  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/rhn_check.py, /mnt/devel/CVS/rhn/up2date/up2date.py:
	support for "update_for_errata"

2001-07-10  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/up2date.spec: updated version to 2.6.0

	* /mnt/devel/CVS/rhn/up2date/rhn_check.py:
	actually login (importing the up2date module used to do this, but not anylonger)

	dont randomnly sys.exit() before doing anything

	set action version to 2, as thats what gets queued now

	* /mnt/devel/CVS/rhn/up2date/up2date.spec: updated version to 2.6.0

	* /mnt/devel/CVS/rhn/up2date/man/Makefile:
	use the mandir variable from the spec file to put man pages in proper place

2001-07-10  Todd Warner  <taw@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/clap.py: o typo.
	o readability change
	o usage example added to main section.

2001-07-10  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/po/Makefile: hack

	* /mnt/devel/CVS/rhn/up2date/up2date.spec: updated version to 2.6.0

	* /mnt/devel/CVS/rhn/up2date/po/Makefile:
	gettext hack for old locale formats with new gettext

2001-07-09  Mihai Ibanescu  <misa@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/clap.py:
	Added some new methods (option, get)

	* /mnt/devel/CVS/rhn/up2date/clap.py: Initial import of these files

2001-07-09  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/Makefile:
	the cvs module is rhn/up2date now
	the tar tag for bzip has changed

	* /mnt/devel/CVS/rhn/up2date/up2date.spec: updated version to 2.6.0

2001-07-08  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/up2date.spec: updated version to 2.6.0

	* /mnt/devel/CVS/rhn/up2date/up2date.spec: changelog updates

	* /mnt/devel/CVS/rhn/up2date/up2date.py:
	bleah, you'd think I'd learn not to do this by now
	check for not None, not true/false

	* /mnt/devel/CVS/rhn/up2date/config.py, /mnt/devel/CVS/rhn/up2date/rhnHTTPlib.py, /mnt/devel/CVS/rhn/up2date/up2date.config, /mnt/devel/CVS/rhn/up2date/up2date.py:
	rhnHTTPlib.py:
	        try to raise useful errors if the remote end closes a connection

	up2date.py:
	        new method: doCall()
	             this is a wrapper around xmlrpclib and rhnHTTPlib based method
	             calls. It handles all the common exceptions, plus allows for
	             "networkRetries" number of attemps to make the connections
	             before failing
	        all the xmlrpc or rhnHTTPlib calls have been converted to use this
	        minor formatting changes

	config.py,
	update.config:
	        support for the new "numberRetries" options.  Should this be
	        configurable??

2001-07-07  Cristian Gafton  <gafton@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/dmimodule.c:
	avoid resetting the same entry

	* /mnt/devel/CVS/rhn/up2date/dmimodule.c:
	treat it like a dictionary instead of a new object type

2001-07-07  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/config.py, /mnt/devel/CVS/rhn/up2date/rhn_check.py, /mnt/devel/CVS/rhn/up2date/up2date.config:
	config.py:
	   add slightly more "dict" like appearance to the config class
	   and a few assorted other bits to make it easier to read/write at once

	rhn_check.py:
		include "update_up2date_config" and "get_up2date_config" method/actions

	up2date.config:
		the default config changes I thought I committed before

2001-07-07  Cristian Gafton  <gafton@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/dmimodule.c:
	we don't need no stinkin' size

	* /mnt/devel/CVS/rhn/up2date/dmimodule.c: don't return bogus data

	* /mnt/devel/CVS/rhn/up2date/dmimodule.c: correct name

	* /mnt/devel/CVS/rhn/up2date/dmimodule.c: fix typo

	* /mnt/devel/CVS/rhn/up2date/dmimodule.c: get full information

	* /mnt/devel/CVS/rhn/up2date/dmimodule.c: wild guess at segfault

	* /mnt/devel/CVS/rhn/up2date/dmimodule.c:
	first version of the python module working

2001-07-07  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/config.py, /mnt/devel/CVS/rhn/up2date/rhn_check.py, /mnt/devel/CVS/rhn/up2date/up2date.py:
	use a config directive to store packages not to remove
	do a filename style match on these patterns
	saner? error handling so we can report errors back
	add a default RemoveSkipList value of "kernel*"

	* /mnt/devel/CVS/rhn/up2date/rhn_check.py, /mnt/devel/CVS/rhn/up2date/up2date.py:
	first pass at supporting package removal
	needs lots of work (see the FIXME's) plus error reporting details

2001-07-06  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/wrapper.py:
	dont traceback on connect errors (catch the CommunicationError)

	it would be really cool if we could get more descriptive error message
	out of socket.connect and socket.ssl, but I dont see how...

	* /mnt/devel/CVS/rhn/up2date/text_config.py:
	more obvious way to clear items
	fix bug #47502

2001-07-06  Cristian Gafton  <gafton@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/dmimodule.c:
	start working on the DMI module

2001-07-06  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/up2date.py:
	filter the list of package that have been excluded so that
	we only show those applicable to the current transaction set.

	ie, dont show that we exclude the kernel packages when I'm just
	trying to install a broken minicom package.

	should fix bug #47081

	* /mnt/devel/CVS/rhn/up2date/text_config.py:
	give a little more room for long entries, on the assumption
	people use 80char wide terms...

	fix bug #47499

	* /mnt/devel/CVS/rhn/up2date/up2date.py:
	be more accepting of proxy host names...
	fix bug #41611

2001-07-05  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/bootloadercfg.py, /mnt/devel/CVS/rhn/up2date/gui.py, /mnt/devel/CVS/rhn/up2date/lilocfg.py, /mnt/devel/CVS/rhn/up2date/Makefile, /mnt/devel/CVS/rhn/up2date/rhnHTTPlib.py, /mnt/devel/CVS/rhn/up2date/up2date.py, /mnt/devel/CVS/rhn/up2date/wrapper.py:
	Makefile:
		added pychecker target
	bootloader.py:
		import cleanups
	gui.py:
		checker cleanups
	lilocfg.py:
		checker cleanups
	rhnHTTPlib.py:
		checker/formatting cleanups
	wrapper.py:
		import cleanup

	* /mnt/devel/CVS/rhn/up2date/rpmSource.py:
	dont create a seperate Config object for the storage class, use
	the one from up2date.cfg instead so all modules share the same
	config

	fix bug #47084

	* /mnt/devel/CVS/rhn/up2date/up2date.py, /mnt/devel/CVS/rhn/up2date/wrapper.py:
	check for the existience of the storageDir first and
	throw a error

	or I could just make it, but if that dir's gone, you've
	broken something and should be told about it... imo

2001-07-04  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/rpmSource.py, /mnt/devel/CVS/rhn/up2date/up2date.py:
	make downloading src rpms work
		 (pass the correct args to getPackageSource)

	lots of s/foo=bar/foo = bar as that seems to be the prefered style
		(though, I kind of fine foo=bar easier to parse, but...)

	lots of s/foo,bar,baz/foo, bar, baz
		(I never really ever notice if this is done one way or the other
		personally, which probabaly accounts for me not being consitent
		about it)

	* /mnt/devel/CVS/rhn/up2date/rpmSource.py:
	bring back the download calculation speed form the original client...
	probabaly want to check it's accuracy, i think it's probabaly
	wrong at the moment (atm, we default to larger reads on the
	sockets...)

	should fix the "package already downloaded" bug

	* /mnt/devel/CVS/rhn/up2date/gui.py:
	possibly lame hack to make "cancel" button really really always cancel
	need to get someone better versed at pygtk to take a look at the channel dialog

	* /mnt/devel/CVS/rhn/up2date/wrapper.py: comments...
	run up2date.updateLoginInfo here...

	* /mnt/devel/CVS/rhn/up2date/userpass.py: minor cleanups

	* /mnt/devel/CVS/rhn/up2date/up2dateUtils.py: add copyright notice
	add module doc string
	import md5 at top level instead of at function level
	  to mask my dumbass namespace screwups
	removed some user variables
	s/md5/ms5sum (see above dumbass namespace screwups)

	* /mnt/devel/CVS/rhn/up2date/up2date.py: updates authors
	added module doc string
	removed unneeded rhnHTTPlib and pprint import
	some class doc strings
	moved all the error definations closer to the
	  begining of the file
	dont run login at module scope, do it from wrapper.main instead
	   (makes it easier to pycheck and/or include)
	s/md5/md5sum (had a module and a method called md5, ooops...)
	removed various unused variables

	* /mnt/devel/CVS/rhn/up2date/text_config.py: module doc string
	removed extra string import

	* /mnt/devel/CVS/rhn/up2date/rpmSource.py: added copyright notice
	removed old comments
	module doc string
	removed unneeded rhnDefines import
	added factory method that hadnt gotten lost
	  (not really used at the moment)

	* /mnt/devel/CVS/rhn/up2date/rhnHTTPlib.py: added copyright notice
	module doc string

	* /mnt/devel/CVS/rhn/up2date/rhnDefines.py: module doc string
	add define for AUTH_USER_ID

	* /mnt/devel/CVS/rhn/up2date/progress.py: module doc string
	class doc string

	* /mnt/devel/CVS/rhn/up2date/lilocfg.py: added copyright notice
	module doc string
	removed unnedded rpm import

	* /mnt/devel/CVS/rhn/up2date/lilo.py: add copyright notice
	module doc string
	remove unneeded rpm import
	some class doc strings

	* /mnt/devel/CVS/rhn/up2date/iutil.py: add copyright notice
	module doc string

	* /mnt/devel/CVS/rhn/up2date/hardware.py: module doc string

	* /mnt/devel/CVS/rhn/up2date/gui.py:
	dont allow users to unsubscribe from base channels

	* /mnt/devel/CVS/rhn/up2date/elilocfg.py: formatting...
	module and class doc strings added
	remove spurious imports in the main

	* /mnt/devel/CVS/rhn/up2date/config.py: format and style stuff
	add module doc string, and  class doc strings

2001-07-03  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/rpmSource.py, /mnt/devel/CVS/rhn/up2date/up2date.py:
	add source rpm source backin
	new methods (getPackageSource)
	and a new getSourcePackageSource object...

	* /mnt/devel/CVS/rhn/up2date/up2date.spec: spec file updates
	bump version to 2.6 (new client->server api, maybe jump to 3?)

	* /mnt/devel/CVS/rhn/up2date/test/lilo.confs/lilo.conf.bug-45585:
	lilo.conf from bug #45584

	* /mnt/devel/CVS/rhn/up2date/test/lilo.confs/lilo.conf.drive-remap:
	add a test lilo.conf from a bug report. This
	includes global bios drive remapping.

	note: this should work with the current code base

	* /mnt/devel/CVS/rhn/up2date/gui.py:
	a whee bit overzealous in my de-debuging
	fetch the row data from the fields again so channel info works correctly

	* /mnt/devel/CVS/rhn/up2date/rhn_check.py, /mnt/devel/CVS/rhn/up2date/up2date.py, /mnt/devel/CVS/rhn/up2date/gui.py:
	minor cleanups and deweeding
	lots of debugging turned off

2001-07-02  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/rpmSource.py, /mnt/devel/CVS/rhn/up2date/up2date.py:
	make the package download progress bars actually work
	(wasnt passing the callbacks in...)

	* /mnt/devel/CVS/rhn/up2date/Makefile:
	keep forgetting bits and pieces...

	include userpass.[py|glade]

	* /mnt/devel/CVS/rhn/up2date/up2date.py:
	return a PasswordError if the sub/unsub command include the wrong password

	* /mnt/devel/CVS/rhn/up2date/gui.py, /mnt/devel/CVS/rhn/up2date/userpass.py:
	make by username/password channel subscription work
	still not perfect, but should at least work
	fixes the "apply(self,foo) expected 2 not 1" bug dcook/jkt reported

	* /mnt/devel/CVS/rhn/up2date/gui.py:
	fix the "going back to channel page shows more channels bug" dcook reported

	* /mnt/devel/CVS/rhn/up2date/gui.py:
	commit current code (still dont like...)

	* /mnt/devel/CVS/rhn/up2date/userpass.glade, /mnt/devel/CVS/rhn/up2date/userpass.py:
	bits and pieces of the user/pass dialog
	still dont like it

	* /mnt/devel/CVS/rhn/up2date/rpmSource.py:
	deweeding (removing debugging statements)

	* /mnt/devel/CVS/rhn/up2date/up2date.py:
	fix a few typos to make deps resolution almost work...

	* /mnt/devel/CVS/rhn/up2date/Makefile: update with all the files

	* /mnt/devel/CVS/rhn/up2date/Makefile: install rhnHTTPlib

2001-07-01  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/userpass.glade, /mnt/devel/CVS/rhn/up2date/userpass.py:
	minor changes to improve this. still not very happy with it

	* /mnt/devel/CVS/rhn/up2date/gui.py:
	use the reborn channels info rpc to get the long info for channels

	* /mnt/devel/CVS/rhn/up2date/up2date.py:
	support for subscribe/unsubscribe channels

2001-06-28  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/up2date.py:
	actually commit the proper version of the file...

	make getPackage use rpmSource

	* /mnt/devel/CVS/rhn/up2date/up2date.py:
	move to the new getPackage using rpmSource.py
	isnt that so much prettier?

	* /mnt/devel/CVS/rhn/up2date/rpmSource.py:
	fix for rpmSource http getting to be Less Buggy(tm)

2001-06-27  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/gui.py, /mnt/devel/CVS/rhn/up2date/up2date.py:
	bits needed for the new solveDep stuff

2001-06-19  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/up2date.py: remove spurious extra login()
	add support for new GET based listPackages

	* /mnt/devel/CVS/rhn/up2date/rpmSource.py:
	support for listPackages at least for DiskCache and httpGet

2001-06-19  Mihai Ibanescu  <misa@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/rhnHTTPlib.py:
	Use an Input object to cleanly decode stuff from the server.
	It turns out we don't really need the size anymore, since rhnHTTPlib does all
	the hard work.

2001-06-14  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/rpmSource.py:
	actually download those last few bits of packages...

	* /mnt/devel/CVS/rhn/up2date/rhnDefines.py:
	defines for the header protocol

2001-06-13  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/wrapper.py: update for new listall format

	* /mnt/devel/CVS/rhn/up2date/up2dateUtils.py:
	some utilitity code shared between up2date.py and rpmSource.py

	* /mnt/devel/CVS/rhn/up2date/userpass.glade, /mnt/devel/CVS/rhn/up2date/userpass.py:
	dialog and module for getting username/password for a user for channel
	admin stuff

	* /mnt/devel/CVS/rhn/up2date/gui.glade, /mnt/devel/CVS/rhn/up2date/gui.py:
	changes to the gui for some channel stuff

	* /mnt/devel/CVS/rhn/up2date/up2date.py:
	changes to up2date.py to use rpmSource.py

	* /mnt/devel/CVS/rhn/up2date/rpmSource.py:
	module with packageSouce classes for all the various methods

	* /mnt/devel/CVS/rhn/up2date/rpmSource.py:
	meant to go into head, not stable.

	* /mnt/devel/CVS/rhn/up2date/up2date.py:
	use the rpmSource module for getHeader/getPackage

	* /mnt/devel/CVS/rhn/up2date/rpmSource.py:
	import of the rpmSource module

	* /mnt/devel/CVS/rhn/up2date/rpmSource.py: New file.

2001-06-11  Mihai Ibanescu  <misa@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/rhnHTTPlib.py:
	Okay, since rhnHTTPlib raises errors now, I've moved the error code decoding
	in a function, reportError. The client code should look like:

	try:
	    server.getHeader(channel, package)
	except ProtocolError, e:
	    errcode, errmsg = reportError(e.headers)

	* /mnt/devel/CVS/rhn/up2date/rhnHTTPlib.py: Cosmetic.

2001-06-11  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/up2date.spec:
	add support for the eli stuff into the spec file.
	Not exactly sure why I hadnt done it before...

	* /mnt/devel/CVS/rhn/up2date/Makefile:
	add elilocfg and bootloader to makefile

2001-06-11  Mihai Ibanescu  <misa@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/rhnHTTPlib.py:
	Took the channel out of the Server class.
	The way we'll do this is:
	size, fd = server.getPackage(channel, filename)

2001-06-11  Todd Warner  <taw@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/rhnHTTPlib.py:
	And the "Big Ugly Hack" (tm) begins...

	Converting everthing over to channel stuff which negates the need for
	OS Release, arch and lang stuff.

	o Nixed the three things about.
	o Added a Server.set_channel(...) method. Need to use per request (i.e.
	  the channel that one is snagging stuff from will change.

2001-06-07  Cristian Gafton  <gafton@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/man/Makefile, /mnt/devel/CVS/rhn/up2date/po/de.po, /mnt/devel/CVS/rhn/up2date/po/es.po, /mnt/devel/CVS/rhn/up2date/po/fr.po, /mnt/devel/CVS/rhn/up2date/po/it.po, /mnt/devel/CVS/rhn/up2date/po/ja.po, /mnt/devel/CVS/rhn/up2date/po/Makefile, /mnt/devel/CVS/rhn/up2date/po/up2date.pot, /mnt/devel/CVS/rhn/up2date/Makefile:
	Update Makefiles for better readability

	* /mnt/devel/CVS/rhn/up2date/man/en/rhn_check.8: Add man page

2001-06-05  Mihai Ibanescu  <misa@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/rhnHTTPlib.py:
	Pulled getHeaderValues out of rhnLib

2001-06-04  Mihai Ibanescu  <misa@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/rhnHTTPlib.py:
	Code reorganization (to look as much as possible to xmlrpclib)

2001-06-02  Todd Warner  <taw@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/rhnHTTPlib.py:
	o Everything you could do with xmlrpclib in regards to setting the
	  protocol, you can do in rhnHTTPlib.py as well.


	  E.g.:
	  rhnHTTPlib.Server(....., protocol='HTTP/1.1')


	NOTE: No problems with HTTP/1.1 and rhnHTTPlib.py... but we have big
	      timeout problems with HTTP/1.1 and xmlrpclib.py (need to resolve!!!)

2001-06-01  Todd Warner  <taw@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/rhnHTTPlib.py:
	o Ok... when an RHN Fault comes through, instead of returning a size and fd,
	  now size=0 and fd=headers.

	  I.e. client can get all the headers now. Look for a size of 0 to begin with.

	  Yeah, it is kind of kludgy but it works: look in class Server.__request
	  around line 219.

2001-06-01  Cristian Gafton  <gafton@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/Makefile, /mnt/devel/CVS/rhn/up2date/up2date.spec:
	prepare for new build

2001-06-01  Todd Warner  <taw@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/rhnHTTPlib.py:
	o if upon a GET you recieve an RHN Fault in the headers, this will spew
	  out the info and return size=0 and fd=None...
	  More or less STUB code for now.

2001-05-31  Todd Warner  <taw@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/rhnHTTPlib.py:
	o Moved __del__ (the destructor) below __init__ (the constructor) where
	  we expect to find it.
	o Added ability to add headers as a dictionary as well as the old key, arg
	  method (self.add_headers(self, dict))
	o Small comment changes.
	o Audited for time... pretty fast.

2001-05-31  Cristian Gafton  <gafton@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/hardware.py: pass in the family as well

2001-05-31  Todd Warner  <taw@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/rhnHTTPlib.py:
	o Added a bit of debugging code... turned off by default.

2001-05-29  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/gui.py:
	handle the case of not be able to load the font we want
	(seems to only happen with X/xfs problems, but that the heck...)
	should fix bug #40072

	* /mnt/devel/CVS/rhn/up2date/wrapper.py: fix for bug #40834
	(-k doesnt take relative paths into account)

2001-05-25  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/hardware.py:
	change to make this work on live ia64 boxes

2001-05-23  Todd Warner  <taw@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/rhnHTTPlib.py:
	o After preliminary testing... explicitely stating that we are using
	  HTTP 1.1 seem to work fine.

2001-05-18  Todd Warner  <taw@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/rhnHTTPlib.py:
	o Can now add abritrary headers: Server.add_header(name, arg).  ---also... some cleanup.

2001-05-17  Bill Nottingham  <notting@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/hardware.py:
	get the number of ia64 processors right

2001-05-16  Mihai Ibanescu  <misa@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/rhnHTTPlib.py:
	Added __repr__ and __str__ for the server and transport objects

2001-05-16  Preston Brown  <pbrown@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/up2date.spec: updated version to 2.5.5

	* /mnt/devel/CVS/rhn/up2date/Makefile:
	update how cvs tag gets built, bump version.

2001-05-16  Todd Warner  <taw@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/rhnHTTPlib.py:
	o Client version added as a possible setting with default value of 2

2001-05-15  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/hardware.py:
	looks like ia64 does multiple sets of cpu info, like x86, but
	not alpha

	in theory, handle that...

	* /mnt/devel/CVS/rhn/up2date/hardware.py:
	first pass at supporting ia64 cpuinfo

2001-05-15  Mihai Ibanescu  <misa@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/rhnHTTPlib.py: Added osLang
	Modified the URL to meet the new convention

2001-05-14  Todd Warner  <taw@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/rhnHTTPlib.py:
	o Now as pretty as the rest! :)

2001-05-11  Mihai Ibanescu  <misa@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/rhnHTTPlib.py: Cleaned up a little bit
	Trying to find the proxy bug, I realized that, for HTTP/1.1, we should really
	use the Content-Length to know how much we're supposed to read. This should be
	on the client side.

2001-05-10  Mihai Ibanescu  <misa@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/rhnHTTPlib.py:
	An API similar to the one that xmlrpclib.Server exposes, except that it's for
	GET requests (and obviously non-XMLRPC). Adrian, probably you want to have a
	look and see if this is of any use to your client.

	Tested and seems to work fine on HTTP/1.1 too. The times for retrieving two
	packages are not great though, maybe because squid has this stupid idea of
	talking HTTP/1.0 to the server?

2001-05-09  Cristian Gafton  <gafton@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/hardware.py: handle both types of alpha

2001-05-08  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/up2date.spec: changelog entries

2001-04-30  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/up2date.py:
	check for existing of the CA cert for bonus paranoia

2001-04-24  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/up2date.py:
	uhm, uh... I cant actually reproduce bug #36981
	but I think this should fix it. It shouldnt break
	anything. Maybe. Needs testing

	* /mnt/devel/CVS/rhn/up2date/up2date.py:
	be more paranoid about what gets passed to getHeaders
	munge incoming packagelist to remove the size values the new dep solving
	   code passes in.

	fixes a bug jay found

	* /mnt/devel/CVS/rhn/up2date/hardware.py:
	use atol instead of atoi for mem size, fix bug #36761

2001-04-20  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/up2date.py:
	add first pass at support for ia64 bootloader
	misc cleanups

	* /mnt/devel/CVS/rhn/up2date/bootloadercfg.py, /mnt/devel/CVS/rhn/up2date/elilocfg.py:
	just minor cleanups
	some errors pychecker found, etc

	* /mnt/devel/CVS/rhn/up2date/test/elilo.confs/elilo.conf.notting, /mnt/devel/CVS/rhn/up2date/test/elilo.confs/elilo.conf.notting_reversed:
	some example elilo.conf's for testing

	* /mnt/devel/CVS/rhn/up2date/lilocfg.py, /mnt/devel/CVS/rhn/up2date/lilo.py:
	lilo.py: elilocfg.py uses this, added ability to force a stanza to be first
	lilocfg.py: modify to use new bootloadercfg.py

	* /mnt/devel/CVS/rhn/up2date/bootloadercfg.py, /mnt/devel/CVS/rhn/up2date/elilocfg.py:
	elilocfg.py: new file for handling configs for eli
	bootloadercfg.py: new file with shared routines from the existing bootloader mungers

2001-04-18  Preston Brown  <pbrown@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/up2date.spec: updated version to 2.5.4

2001-04-18  Cristian Gafton  <gafton@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/rhn_check.py: fix error codes

	* /mnt/devel/CVS/rhn/up2date/rhn_check.py, /mnt/devel/CVS/rhn/up2date/wrapper.py:
	catch the case where scheduled packages are no longer available in the
	database

2001-04-18  Preston Brown  <pbrown@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/up2date.spec: updated version to 2.5.4

2001-04-18  Cristian Gafton  <gafton@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/rhn_check.py, /mnt/devel/CVS/rhn/up2date/wrapper.py:
	reorganize the code in batchRun to accomodate make it easier to read and
	also fix the probelm with being called from the rhnsd with incomplete
	package installation

2001-04-17  Cristian Gafton  <gafton@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/wrapper.py:
	update pkgNames when running from daemon

2001-04-17  Preston Brown  <pbrown@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/up2date.spec: updated version to 2.5.4

2001-04-17  Cristian Gafton  <gafton@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/wrapper.py:
	import epics from real packages

2001-04-17  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/rhn_check.py:
	dont do a "fullUpdate". fix the bug jay found.

	I am apparently going for the record of most
	fsckups in one day.

2001-04-17  Preston Brown  <pbrown@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/up2date.spec: updated version to 2.5.4

2001-04-17  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/up2date.py:
	change wording at jturners suggestion

2001-04-17  Preston Brown  <pbrown@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/po/ja.po, /mnt/devel/CVS/rhn/up2date/po/up2date.pot, /mnt/devel/CVS/rhn/up2date/Makefile, /mnt/devel/CVS/rhn/up2date/po/de.po, /mnt/devel/CVS/rhn/up2date/po/es.po, /mnt/devel/CVS/rhn/up2date/po/fr.po, /mnt/devel/CVS/rhn/up2date/po/it.po, /mnt/devel/CVS/rhn/up2date/up2date.spec:
	bump version for yet another errata.

2001-04-17  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/up2date.py: spell correctly...

	* /mnt/devel/CVS/rhn/up2date/up2date.py:
	add a warning message to tell people you need to
	run `rpm --rebuilddb` if you get the error about
	cant determine arch/os

2001-04-17  Jay Turner  <jturner@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/rhn_check.py:
	Import after appending to sys.path

2001-04-16  Cristian Gafton  <gafton@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/up2date.py:
	plug non fatal FD leak - bugzilla #36019

	* /mnt/devel/CVS/rhn/up2date/up2date-new.py: No longer needed

2001-04-16  Jay Turner  <jturner@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/test/lilo.confs/lilo.conf.alikins.swooop1.up2date-987163528.874, /mnt/devel/CVS/rhn/up2date/test/lilo.confs/lilo.conf.alikins.swooop1.up2date-987163596.864, /mnt/devel/CVS/rhn/up2date/test/lilo.confs/lilo.conf.alikins.swooop1.up2date-987163675.459, /mnt/devel/CVS/rhn/up2date/test/lilo.confs/lilo.conf.alikins.swooop1.up2date-987163691.079, /mnt/devel/CVS/rhn/up2date/test/lilo.confs/lilo.conf.alikins.swooop1.up2date-987163727.657, /mnt/devel/CVS/rhn/up2date/test/lilo.confs/lilo.conf.alikins.swooop1.up2date-987163737.835, /mnt/devel/CVS/rhn/up2date/test/lilo.confs/lilo.conf.alikins.swooop1.up2date-987163774.251, /mnt/devel/CVS/rhn/up2date/test/lilo.confs/lilo.conf.alikins.swooop1.up2date-987163789.611, /mnt/devel/CVS/rhn/up2date/test/lilo.confs/lilo.conf.alikins.swooop1.up2date-987163813.951, /mnt/devel/CVS/rhn/up2date/test/lilo.confs/lilo.conf.alikins.swooop1.up2date-987163830.168, /mnt/devel/CVS/rhn/up2date/test/lilo.confs/lilo.conf.alikins.swooop1.up2date-987163904.857, /mnt/devel/CVS/rhn/up2date/test/lilo.confs/lilo.conf.alikins.swooop1.up2date-987164059.692, /mnt/devel/CVS/rhn/up2date/test/lilo.confs/lilo.conf.alikins.swooop1.up2date-987164178.594, /mnt/devel/CVS/rhn/up2date/test/lilo.confs/lilo.conf.alikins.swooop1.up2date-987165777.694, /mnt/devel/CVS/rhn/up2date/test/lilo.confs/lilo.conf.alikins.swooop1.up2date-987166467.248, /mnt/devel/CVS/rhn/up2date/test/lilo.confs/lilo.conf.alikins.swooop1.up2date-save.up2date-987165778.038, /mnt/devel/CVS/rhn/up2date/test/lilo.confs/lilo.conf.alikins.swooop1.up2date-save.up2date-987166467.549, /mnt/devel/CVS/rhn/up2date/test/lilo.confs/lilo.conf.anvil.alias.up2date-987165778.287, /mnt/devel/CVS/rhn/up2date/test/lilo.confs/lilo.conf.anvil.alias.up2date-987166467.835, /mnt/devel/CVS/rhn/up2date/test/lilo.confs/lilo.conf.anvil.alias.up2date-save.up2date-987165778.55, /mnt/devel/CVS/rhn/up2date/test/lilo.confs/lilo.conf.anvil.alias.up2date-save.up2date-987166468.103, /mnt/devel/CVS/rhn/up2date/test/lilo.confs/lilo.conf-arjanv-dontthink.up2date-987165778.822, /mnt/devel/CVS/rhn/up2date/test/lilo.confs/lilo.conf-arjanv-dontthink.up2date-987166468.411, /mnt/devel/CVS/rhn/up2date/test/lilo.confs/lilo.conf.arjanv-fenrus.up2date-987165779.141, /mnt/devel/CVS/rhn/up2date/test/lilo.confs/lilo.conf.arjanv-fenrus.up2date-987166468.696, /mnt/devel/CVS/rhn/up2date/test/lilo.confs/lilo.conf-bero-picard.home.bero.org.up2date-987165779.392, /mnt/devel/CVS/rhn/up2date/test/lilo.confs/lilo.conf-bero-picard.home.bero.org.up2date-987166469.011, /mnt/devel/CVS/rhn/up2date/test/lilo.confs/lilo.conf-bero-spock.home.bero.org.up2date-987165779.711, /mnt/devel/CVS/rhn/up2date/test/lilo.confs/lilo.conf-bero-spock.home.bero.org.up2date-987166469.288, /mnt/devel/CVS/rhn/up2date/test/lilo.confs/lilo.conf-bero-worf.home.bero.org.up2date-987165779.993, /mnt/devel/CVS/rhn/up2date/test/lilo.confs/lilo.conf-bero-worf.home.bero.org.up2date-987166469.6, /mnt/devel/CVS/rhn/up2date/test/lilo.confs/lilo.conf-bero-www.bero.org.up2date-987165780.345, /mnt/devel/CVS/rhn/up2date/test/lilo.confs/lilo.conf-bero-www.bero.org.up2date-987166469.928, /mnt/devel/CVS/rhn/up2date/test/lilo.confs/lilo.conf.bfox.up2date-987165780.604, /mnt/devel/CVS/rhn/up2date/test/lilo.confs/lilo.conf.bfox.up2date-987166470.254, /mnt/devel/CVS/rhn/up2date/test/lilo.confs/lilo.conf.crutcher.up2date-987165780.906, /mnt/devel/CVS/rhn/up2date/test/lilo.confs/lilo.conf.crutcher.up2date-987166470.554, /mnt/devel/CVS/rhn/up2date/test/lilo.confs/lilo.conf.crutcher.up2date-save.up2date-987165781.235, /mnt/devel/CVS/rhn/up2date/test/lilo.confs/lilo.conf.crutcher.up2date-save.up2date-987166470.812, /mnt/devel/CVS/rhn/up2date/test/lilo.confs/lilo.conf.devserv.up2date-987165781.477, /mnt/devel/CVS/rhn/up2date/test/lilo.confs/lilo.conf.devserv.up2date-987166471.092, /mnt/devel/CVS/rhn/up2date/test/lilo.confs/lilo.conf.dkl.foo.up2date-987165781.79, /mnt/devel/CVS/rhn/up2date/test/lilo.confs/lilo.conf.dkl.foo.up2date-987166471.357, /mnt/devel/CVS/rhn/up2date/test/lilo.confs/lilo.conf.dos.up2date-987160799.047, /mnt/devel/CVS/rhn/up2date/test/lilo.confs/lilo.conf.dos.up2date-987160799.047.up2date-987165782.38, /mnt/devel/CVS/rhn/up2date/test/lilo.confs/lilo.conf.dos.up2date-987160799.047.up2date-987166471.896, /mnt/devel/CVS/rhn/up2date/test/lilo.confs/lilo.conf.dos.up2date-987165782.046, /mnt/devel/CVS/rhn/up2date/test/lilo.confs/lilo.conf.dos.up2date-987166471.625, /mnt/devel/CVS/rhn/up2date/test/lilo.confs/lilo.conf.dos.up2date-987171243.888, /mnt/devel/CVS/rhn/up2date/test/lilo.confs/lilo.listing:
	Lots of lilo.conf files for testing

2001-04-13  Preston Brown  <pbrown@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/up2date.spec: updated version to 2.5.3

2001-04-13  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/lilocfg.py: remove debugging

	* /mnt/devel/CVS/rhn/up2date/up2date.py:
	no need to () wrap the string. Seems to work either way, but this
	is closer to what it was originally before I broke it

	* /mnt/devel/CVS/rhn/up2date/up2date.py:
	"unfix" some bugs I introduced that would cause tracebacks in the gui
	pass the proper number of args to the gui callbacks

2001-04-13  Preston Brown  <pbrown@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/up2date.spec: updated version to 2.5.3

2001-04-13  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/rhn_check.py:
	import the translation stuff since we use _()  (pychecker)

	* /mnt/devel/CVS/rhn/up2date/lilocfg.py: fix a few bugs jay found

2001-04-13  Preston Brown  <pbrown@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/up2date.spec: updated version to 2.5.3

2001-04-13  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/lilocfg.py: hide debugging stuff

	* /mnt/devel/CVS/rhn/up2date/lilocfg.py, /mnt/devel/CVS/rhn/up2date/lilo.py:
	drop in changes to support dual boots with non linux defaults
	first pass at handling bios remapping, and aliases

2001-04-13  Jay Turner  <jturner@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/test/lilo.confs/lilo.conf.dos:
	Dos default lilo.conf added to repository

2001-04-12  Cristian Gafton  <gafton@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/rhn_check.py: duh, logic sucks

	* /mnt/devel/CVS/rhn/up2date/rhn_check.py, /mnt/devel/CVS/rhn/up2date/wrapper.py:
	fix error codes reported back to RHN

2001-04-12  Preston Brown  <pbrown@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/up2date.spec: updated version to 2.5.3

2001-04-12  Cristian Gafton  <gafton@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/up2date.py: - fix stupid iteration loop
	- better output under debug
	- add a bunch of refresh calls so that we don't appear totally unresponsive

2001-04-12  Preston Brown  <pbrown@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/up2date.spec: updated version to 2.5.3

2001-04-12  Jay Turner  <jturner@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/up2date.spec: updated version to 2.5.2

2001-04-11  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/up2date.py:
	make "--force" ignore config file excludes as well

2001-04-11  Cristian Gafton  <gafton@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/up2date.py:
	Nicer output (print out the complete list of problems instead of just the
	first one we stumble across)

	* /mnt/devel/CVS/rhn/up2date/up2date.py:
	Print the list of unsatisfied dependencies when stuff breaks

2001-04-11  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/text_config.py: minor cleanups
	fix the "cant edit empty lists" bugs
	import readline for slightly better keyboard control

2001-04-11  Cristian Gafton  <gafton@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/up2date.py:
	be more verbose when crapping out

	* /mnt/devel/CVS/rhn/up2date/up2date.py: duh. do what I mean.

2001-04-11  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/lilocfg.py:
	preseve perms for the new lilo.conf as well

2001-04-11  Cristian Gafton  <gafton@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/up2date.py:
	- fix small problem while pruning the available packagfe list
	- per Jeff's advice, run ts.sort() only before a transaction run

	* /mnt/devel/CVS/rhn/up2date/up2date.py: some more debugging

	* /mnt/devel/CVS/rhn/up2date/up2date.py:
	COMPLETE REWRITE of the whole dryRun/dependency solver code.
	Chances are I have got it right on the first try, but we need some testing done.
	Anyway, now the code at least looks it can be maintained.

	The old code is in up2date.py under the old-dry-run tag

	* /mnt/devel/CVS/rhn/up2date/up2date-new.py: up2date-new.py

2001-04-11  Preston Brown  <pbrown@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/up2date.spec: updated version to 2.5.3

	* /mnt/devel/CVS/rhn/up2date/up2date.spec:
	update for errata release.  Require only new version of rpm-python, not rpm.

2001-04-10  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/up2date.py:
	dont run the bootloader stuff if we specify "--justdb"

	* /mnt/devel/CVS/rhn/up2date/wrapper.py:
	removed non-used "comps" code. Wouldnt of broke anything, but
	didnt do anything either. Clears up some confusion about what
	exactly that version >= 3.0 was for.

	* /mnt/devel/CVS/rhn/up2date/lilocfg.py:
	replace the non-file perm preservind shutil.copyfile() with the
	file perm preserving shutil.copy().

	I am an idiot.

2001-04-10  Preston Brown  <pbrown@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/hardware.py:
	fix when the host has broken reverse name resolution.

2001-04-10  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/up2date.py:
	removed spurious debugging print

2001-04-09  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/wrapper.py:
	./wrapper.py:824 No global (version) found
	        call the up2date.version func and atof as approriate

	* /mnt/devel/CVS/rhn/up2date/up2date.py:
	  ./up2date.py:461 No global (pkg) found
	        change to the proper pkgName

	  ./up2date.py:657 No global (progress) found
	  ./up2date.py:657 No global (total) found
	        cut&paste code, not needed

	  ./up2date.py:709 No global (fileName) found
	        should be fileNames

	  ./up2date.py:978 Invalid arguments to (msgCallback), got 2, expected 1
	  ./up2date.py:1096 Invalid arguments to (msgCallback), got 2, expected 1
	        pass one string, not two

	 ./up2date.py:1308 No global (DelayError) found
	        create a DelayError class

	* /mnt/devel/CVS/rhn/up2date/lilo.py:
	piddly clean up bug, dont actually use this class, but it
	was triggering a missing attr warnings

	* /mnt/devel/CVS/rhn/up2date/advisorywin.py:
	add self to first arg of class method
	(albeit, nothing seems to call this function)
	found by pychecker

2001-04-08  Nalin Dahyabhai  <nalin@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/rhnsd.init:
	fix the order of arguments to the killproc command in reload

2001-04-07  Preston Brown  <pbrown@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/up2date.spec: updated version to 2.5.2

	* /mnt/devel/CVS/rhn/up2date/gui.py, /mnt/devel/CVS/rhn/up2date/po/de.po, /mnt/devel/CVS/rhn/up2date/po/es.po, /mnt/devel/CVS/rhn/up2date/po/fr.po, /mnt/devel/CVS/rhn/up2date/po/it.po, /mnt/devel/CVS/rhn/up2date/po/ja.po, /mnt/devel/CVS/rhn/up2date/po/up2date.pot, /mnt/devel/CVS/rhn/up2date/up2date.py, /mnt/devel/CVS/rhn/up2date/up2date.spec:
	better OSError exception handling.

	* /mnt/devel/CVS/rhn/up2date/gui.py, /mnt/devel/CVS/rhn/up2date/Makefile, /mnt/devel/CVS/rhn/up2date/wrapper.py:
	catch unknown OSErrors.

2001-04-06  Preston Brown  <pbrown@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/up2date.spec: updated version to 2.5.1

	* /mnt/devel/CVS/rhn/up2date/po/de.po, /mnt/devel/CVS/rhn/up2date/po/es.po, /mnt/devel/CVS/rhn/up2date/po/fr.po, /mnt/devel/CVS/rhn/up2date/po/it.po, /mnt/devel/CVS/rhn/up2date/po/ja.po, /mnt/devel/CVS/rhn/up2date/po/up2date.pot, /mnt/devel/CVS/rhn/up2date/up2date.py, /mnt/devel/CVS/rhn/up2date/wrapper.py:
	fix warning when not registered yet.

2001-04-06  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/config.py, /mnt/devel/CVS/rhn/up2date/lilocfg.py, /mnt/devel/CVS/rhn/up2date/up2date.config, /mnt/devel/CVS/rhn/up2date/up2date.py:
	make installing the bootload a config option. ("noBootLoader")

	add logging to lilocfg.py
	(a few strategic points, plus all of the error classes)
	change the backup file name to include a time stamp

	dont delete the lilo.conf backupfile

	* /mnt/devel/CVS/rhn/up2date/test/lilo.confs/lilo.conf.yoritomo.up2date-save, /mnt/devel/CVS/rhn/up2date/test/lilo.confs/lilo.conf.alikins.swooop1, /mnt/devel/CVS/rhn/up2date/test/lilo.confs/lilo.conf.alikins.swooop1.up2date-save, /mnt/devel/CVS/rhn/up2date/test/lilo.confs/lilo.conf.anvil.alias, /mnt/devel/CVS/rhn/up2date/test/lilo.confs/lilo.conf.anvil.alias.up2date-save, /mnt/devel/CVS/rhn/up2date/test/lilo.confs/lilo.conf-arjanv-dontthink, /mnt/devel/CVS/rhn/up2date/test/lilo.confs/lilo.conf.arjanv-fenrus, /mnt/devel/CVS/rhn/up2date/test/lilo.confs/lilo.conf-bero-picard.home.bero.org, /mnt/devel/CVS/rhn/up2date/test/lilo.confs/lilo.conf-bero-spock.home.bero.org, /mnt/devel/CVS/rhn/up2date/test/lilo.confs/lilo.conf-bero-worf.home.bero.org, /mnt/devel/CVS/rhn/up2date/test/lilo.confs/lilo.conf-bero-www.bero.org, /mnt/devel/CVS/rhn/up2date/test/lilo.confs/lilo.conf.bfox, /mnt/devel/CVS/rhn/up2date/test/lilo.confs/lilo.conf.crutcher, /mnt/devel/CVS/rhn/up2date/test/lilo.confs/lilo.conf.crutcher.up2date-save, /mnt/devel/CVS/rhn/up2date/test/lilo.confs/lilo.conf.devserv, /mnt/devel/CVS/rhn/up2date/test/lilo.confs/lilo.conf.dkl.foo, /mnt/devel/CVS/rhn/up2date/test/lilo.confs/lilo.conf.fr.rpmfind, /mnt/devel/CVS/rhn/up2date/test/lilo.confs/lilo.conf.glen, /mnt/devel/CVS/rhn/up2date/test/lilo.confs/lilo.conf.hopp.foo, /mnt/devel/CVS/rhn/up2date/test/lilo.confs/lilo.conf.jlarmour-jifvik, /mnt/devel/CVS/rhn/up2date/test/lilo.confs/lilo.conf.kev-ocotillo, /mnt/devel/CVS/rhn/up2date/test/lilo.confs/lilo.conf.kev-redrock, /mnt/devel/CVS/rhn/up2date/test/lilo.confs/lilo.conf.kev-saguaro, /mnt/devel/CVS/rhn/up2date/test/lilo.confs/lilo.conf.lab, /mnt/devel/CVS/rhn/up2date/test/lilo.confs/lilo.conf.lacrosse, /mnt/devel/CVS/rhn/up2date/test/lilo.confs/lilo.conf.lacrosse.up2date-save, /mnt/devel/CVS/rhn/up2date/test/lilo.confs/lilo.conf.ljensen-hagbart, /mnt/devel/CVS/rhn/up2date/test/lilo.confs/lilo.conf.ljensen-ncc-1701-lj, /mnt/devel/CVS/rhn/up2date/test/lilo.confs/lilo.conf.MARTY-EVELLE, /mnt/devel/CVS/rhn/up2date/test/lilo.confs/lilo.conf.meissner.tiktok, /mnt/devel/CVS/rhn/up2date/test/lilo.confs/lilo.conf.meissner.tiktok.up2date-save, /mnt/devel/CVS/rhn/up2date/test/lilo.confs/lilo.conf.mgalgoci.foo, /mnt/devel/CVS/rhn/up2date/test/lilo.confs/lilo.conf.mrhanky, /mnt/devel/CVS/rhn/up2date/test/lilo.confs/lilo.conf.nils-cognac, /mnt/devel/CVS/rhn/up2date/test/lilo.confs/lilo.conf.pbrown-dionysus, /mnt/devel/CVS/rhn/up2date/test/lilo.confs/lilo.conf.phil.foo, /mnt/devel/CVS/rhn/up2date/test/lilo.confs/lilo.conf.phil.foo.up2date-save, /mnt/devel/CVS/rhn/up2date/test/lilo.confs/lilo.conf.porkchop, /mnt/devel/CVS/rhn/up2date/test/lilo.confs/lilo.conf.router, /mnt/devel/CVS/rhn/up2date/test/lilo.confs/lilo.conf.rpmfind, /mnt/devel/CVS/rhn/up2date/test/lilo.confs/lilo.conf.ryan.foo, /mnt/devel/CVS/rhn/up2date/test/lilo.confs/lilo.conf.smdilda.aliera.stat.ncsu.edu, /mnt/devel/CVS/rhn/up2date/test/lilo.confs/lilo.conf.sussudio, /mnt/devel/CVS/rhn/up2date/test/lilo.confs/lilo.conf-tom-www.irfu.com, /mnt/devel/CVS/rhn/up2date/test/lilo.confs/lilo.conf.twaugh.foo, /mnt/devel/CVS/rhn/up2date/test/lilo.confs/lilo.conf.twaugh.foo.up2date-save, /mnt/devel/CVS/rhn/up2date/test/lilo.confs/lilo.conf.yoritomo:
	add the set of lilo.conf test configs to cvs. No need to package
	these really.

	* /mnt/devel/CVS/rhn/up2date/lilocfg.py, /mnt/devel/CVS/rhn/up2date/lilo.py:
	fix for stanza's with "alias". We more or less just ignore it,
	except for the fact that "default=" probabaly points at the
	alias.

	When the new lilo is created, we preserve the alias in the
	old stanza, but we dont use it anymore.

2001-04-06  Preston Brown  <pbrown@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/up2date.py:
	fix yet another TypeError found by wolverine-list.

	* /mnt/devel/CVS/rhn/up2date/up2date.py: fix when no locale selected.

	* /mnt/devel/CVS/rhn/up2date/up2date.py: fix DependencyError class.

	* /mnt/devel/CVS/rhn/up2date/po/configdlg.gladestrings, /mnt/devel/CVS/rhn/up2date/po/de.po, /mnt/devel/CVS/rhn/up2date/po/es.po, /mnt/devel/CVS/rhn/up2date/po/fr.po, /mnt/devel/CVS/rhn/up2date/po/it.po, /mnt/devel/CVS/rhn/up2date/po/ja.po, /mnt/devel/CVS/rhn/up2date/po/up2date.pot, /mnt/devel/CVS/rhn/up2date/configdlg.glade, /mnt/devel/CVS/rhn/up2date/configdlg.py, /mnt/devel/CVS/rhn/up2date/config.py, /mnt/devel/CVS/rhn/up2date/gui.py, /mnt/devel/CVS/rhn/up2date/Makefile, /mnt/devel/CVS/rhn/up2date/progress.py, /mnt/devel/CVS/rhn/up2date/up2date.config, /mnt/devel/CVS/rhn/up2date/up2date.py, /mnt/devel/CVS/rhn/up2date/up2date.spec, /mnt/devel/CVS/rhn/up2date/wrapper.py:
	remove all vestiges of retrieveNew option; better default column widths.

	* /mnt/devel/CVS/rhn/up2date/man/en/up2date.8:
	remove documentation for anonymous, allpackages.

2001-04-06  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/rhn_check.py, /mnt/devel/CVS/rhn/up2date/up2date.py, /mnt/devel/CVS/rhn/up2date/wrapper.py:
	move rhn_check to using the smarts from the commanlind up2date
	instead of its own. Now it does dependency resolution, etc.

	up2date.py: minor changes to make the above work
	wrapper.py: ditto

2001-04-05  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/rhn_check.py:  init a db handle

	* /mnt/devel/CVS/rhn/up2date/rhn_check.py:
	fix for the traceback jay found (very very untested)

2001-04-05  Cristian Gafton  <gafton@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/rhn_check.py:
	insert more debugging statements so that rhn_check -v actually shows something

2001-04-04  Preston Brown  <pbrown@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/configdlg.glade, /mnt/devel/CVS/rhn/up2date/po/configdlg.gladestrings, /mnt/devel/CVS/rhn/up2date/po/de.po, /mnt/devel/CVS/rhn/up2date/po/es.po, /mnt/devel/CVS/rhn/up2date/po/fr.po, /mnt/devel/CVS/rhn/up2date/po/it.po, /mnt/devel/CVS/rhn/up2date/po/ja.po, /mnt/devel/CVS/rhn/up2date/po/up2date.pot:
	better help on screen for configuring proxy.

2001-04-03  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/up2date.spec: updated version to 2.4.9

	* /mnt/devel/CVS/rhn/up2date/Makefile: bump version

	* /mnt/devel/CVS/rhn/up2date/up2date.spec: updated version to 2.4.8

	* /mnt/devel/CVS/rhn/up2date/up2date.spec: before preston does it...

	* /mnt/devel/CVS/rhn/up2date/lilocfg.py:
	changed suggested by katzj@linuxpower.org to make the new lilo
	label be constistent with the way anaconda names stuff

	ie, the default is always "linux", "linux-smp/linux-up" when
	those are types of kernels are not the default

	* /mnt/devel/CVS/rhn/up2date/lilocfg.py:
	redirect stderr to /dev/null when running the lilo test

	* /mnt/devel/CVS/rhn/up2date/lilocfg.py, /mnt/devel/CVS/rhn/up2date/up2date.py:
	fix a bug or two...

	pass the proper name of kernels to install
	fix an exception booboo

2001-04-03  Preston Brown  <pbrown@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/up2date.spec: update changelog.

	* /mnt/devel/CVS/rhn/up2date/up2date.spec: updated version to 2.4.8

2001-04-03  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/lilocfg.py, /mnt/devel/CVS/rhn/up2date/up2date.py:
	handle smp,boot,enterprise kernels better

	dont allow duplicates image labels to be created

	run lilo in testmode first

	pass in extra info about the new installed
	kernels so we can try to figure out how
	to match the installed ones to the proper
	new kernel

	slightly saner backup label names
	handle labelnames > 16 chars

	make TEST mode a bit more useful for debugging

2001-04-03  Preston Brown  <pbrown@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/Makefile, /mnt/devel/CVS/rhn/up2date/up2date.py:
	bump version.  Avoid duplicates in the reported skip list.

	* /mnt/devel/CVS/rhn/up2date/gui.py:
	make back button insensitive after package installation.

2001-04-02  Preston Brown  <pbrown@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/up2date.spec: updated version to 2.4.7

	* /mnt/devel/CVS/rhn/up2date/Makefile, /mnt/devel/CVS/rhn/up2date/up2date.spec:
	bump version.

2001-04-02  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/gui.py, /mnt/devel/CVS/rhn/up2date/lilocfg.py:
	lilocfg.py: check for the existing of the initrd image file after installation
	to see if it needs to be added to lilo. fix bug #34317

	gui.py: actually run the lilo installing code, fix bug #34318

2001-03-31  Preston Brown  <pbrown@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/up2date.py: traceback fix

2001-03-28  Preston Brown  <pbrown@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/rhnsd.init: off by default.

	* /mnt/devel/CVS/rhn/up2date/gui.py, /mnt/devel/CVS/rhn/up2date/po/de.po, /mnt/devel/CVS/rhn/up2date/po/es.po, /mnt/devel/CVS/rhn/up2date/po/fr.po, /mnt/devel/CVS/rhn/up2date/po/it.po, /mnt/devel/CVS/rhn/up2date/po/ja.po, /mnt/devel/CVS/rhn/up2date/po/up2date.pot, /mnt/devel/CVS/rhn/up2date/up2date.py, /mnt/devel/CVS/rhn/up2date/wrapper.py:
	dependency errors are non-fatal in GUI mode (allow user to modify package selections or quit)

2001-03-28  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/up2date.py:
	find "redhat-release" by provides not byname
	fix bug #33610

2001-03-27  Adrian Likins  <alikins@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/lilocfg.py:
	fix a typo causing a nameerror on line 225 about "setdefault"

	* /mnt/devel/CVS/rhn/up2date/up2date.py:
	check for packages that provide 'kernel' instead of just packages
	named 'kernel'

2001-03-27  Preston Brown  <pbrown@redhat.com>

	* /mnt/devel/CVS/rhn/up2date/up2date.spec: updated version to 2.4.6

	* /mnt/devel/CVS/rhn/up2date/ChangeLog: synced.

	* /mnt/devel/CVS/rhn/up2date/Makefile, /mnt/devel/CVS/rhn/up2date/up2date.spec:
	bump version/update changelog.

	* /mnt/devel/CVS/rhn/up2date/po/up2date.pot, /mnt/devel/CVS/rhn/up2date/po/de.po, /mnt/devel/CVS/rhn/up2date/po/es.po, /mnt/devel/CVS/rhn/up2date/po/fr.po, /mnt/devel/CVS/rhn/up2date/po/it.po, /mnt/devel/CVS/rhn/up2date/po/ja.po, /mnt/devel/CVS/rhn/up2date/up2date.py, /mnt/devel/CVS/rhn/up2date/wrapper.py:
	take how allpackages option.

	* /mnt/devel/CVS/rhn/up2date/rhnsd.init:
	don't start rhnsd if /etc/sysconfig/rhn/systemid is not present.

	* /mnt/devel/CVS/rhn/up2date/po/de.po, /mnt/devel/CVS/rhn/up2date/po/es.po, /mnt/devel/CVS/rhn/up2date/po/fr.po, /mnt/devel/CVS/rhn/up2date/po/it.po, /mnt/devel/CVS/rhn/up2date/po/ja.po, /mnt/devel/CVS/rhn/up2date/po/up2date.pot, /mnt/devel/CVS/rhn/up2date/wrapper.py:
	more translation fixups.

2001-03-27  Preston Brown  <pbrown@redhat.com>

	* Makefile, up2date.spec:
	bump version/update changelog.

	* po/up2date.pot, po/de.po, po/es.po, po/fr.po, po/it.po, po/ja.po, up2date.py, wrapper.py:
	take how allpackages option.

	* rhnsd.init:
	don't start rhnsd if /etc/sysconfig/rhn/systemid is not present.

	* po/de.po, po/es.po, po/fr.po, po/it.po, po/ja.po, po/up2date.pot, wrapper.py:
	more translation fixups.

2001-03-26  Preston Brown  <pbrown@redhat.com>

	* wrapper.py: fix typo.

2001-03-26  Adrian Likins  <alikins@dionysus.redhat.com>

	* config.py, up2date.config:
	spelling fix, fix bug #33132

	* wrapper.py:
	fix a type in the arg defination for getopt. "-f" was incorrectly
	expecting an argument. Also, "-k" wasnt expecting an argument. Fix both.
	Should fix bug #32813

2001-03-26  Preston Brown  <pbrown@redhat.com>

	* Makefile, po/de.po, po/es.po, po/it.po, po/ja.po, po/up2date.pot, up2date.py:
	better usage of LANG, LC_xxx environment variables to set up i18n on xmlrpc server.

2001-03-23  Adrian Likins  <alikins@dionysus.redhat.com>

	* Makefile, up2date.spec:
	add the lilo updating code to Makefile/specfile
	bumped spec version to 2.4.5

	* lilocfg.py: fixes from Jay..

	always addImage, even if we need a initrd (doh)
	pass the proper kernel name to the initrd

	* up2date.py:
	do config file checking the Right Way(tm). I think.

	basically, consider a file that has it's md5sum in localdb != newdb
	as "modified", but... if thats the case _and_ it's not noreplaceconfig
	_and_ it's modified locally, then dont update the package. Update
	it in all other cases.

2001-03-22  Preston Brown  <pbrown@redhat.com>

	* po/fr.po:
	word wrapping issues (#31707) fixed.

2001-03-22  Jay Turner  <jturner@dionysus.redhat.com>

	* up2date.spec: *** empty log message ***

	* wrapper.py:
	Removed 'r' as a valid command line option in accordance with removal of anonymous registrations

2001-03-21  Cristian Gafton  <gafton@dionysus.redhat.com>

	* up2date.py:
	Redo the /dev/null redirection the right and simple way.

2001-03-20  Adrian Likins  <alikins@dionysus.redhat.com>

	* wrapper.py:
	conditionally include lilocfg.py

	* lilocfg.py:
	better handling of cleanup after a failed lilo conf install
	(make sure the backup always gets copied over, etc)

	some error handling cleanup

	* lilo.py:
	remove deps on a module that I didnt realize I was including (isys.py)

2001-03-20  Preston Brown  <pbrown@redhat.com>

	* up2date.py:
	really redirect stdout/stderr to /dev/null during RPM operations...

2001-03-20  Adrian Likins  <alikins@dionysus.redhat.com>

	* wrapper.py:
	if no lilocfg module, dont attempt to install the boot loader

	* lilocfg.py, up2date.py, wrapper.py:
	slightly saner and more paranoid versions of the lilo configuration
	stuff.

	* up2date.py:
	handle the case of conflicts being resolved by updating a package
	which isnt otherwise in the set of packages to be updated. Basically,
	do another pass at attempting to upgrade all the pacakges that conflict
	with something, after going though the rest of the deps stuff. Duplicates
	some code, but it seems to work correctly, and doesnt mess with the existing
	dryRun too much. A little ugly, but...

	Fixes bug #32280

2001-03-19  Preston Brown  <pbrown@redhat.com>

	* hardware.py:
	be extra special careful reading /proc/cpuinfo.

2001-03-19  Adrian Likins  <alikins@dionysus.redhat.com>

	* hardware.py:
	fix for bug #32221 (rhn_register fails with large swap space)

	use a long int instead of an int

	* up2date.py, wrapper.py:
	fix for bug #32235
	(more graceful handling of --whatprovides not finding anything)

2001-03-19  Preston Brown  <pbrown@redhat.com>

	* up2date.py:
	redirect stdout / stderr during RPM signature and MD5 checking so that we don't see spew on the screen.

	* po/de.po, po/es.po, po/fr.po, po/it.po, po/ja.po, po/up2date.pot, up2date.py:
	better error message when transaction is aborted because of skipped list additions.

	* wrapper.py:
	take out 'register' cmd line option.

2001-03-16  Adrian Likins  <alikins@dionysus.redhat.com>

	* wrapper.py: indention fix

	* rhn_check.py:
	bring uptodate with some of the up2date.py changes...

	* iutil.py, lilo.py, lilocfg.py, up2date.py:
	first pass at integrating the kernel/lilo configuration stuff
	Not really reading for primetime yet, but it works on my laptop
	at least.

2001-03-15  Preston Brown  <pbrown@redhat.com>

	* gui.py, up2date.py, wrapper.py:
	remove all anonymous registration stuff.

	* po/es.po, po/fr.po, po/it.po, po/ja.po, po/up2date.pot, po/de.po:
	fix up german and french translations as best I can.

2001-03-14  Preston Brown  <pbrown@redhat.com>

	* up2date.spec: updated version to 2.4.4

2001-03-14  Adrian Likins  <alikins@dionysus.redhat.com>

	* gui.glade:
	remove the extraneous Conflicts screen since we dont use it

2001-03-14  Preston Brown  <pbrown@redhat.com>

	* Makefile, gui.py, up2date.py:
	handle package size stuff from dependency packages.

	* up2date.py:
	if you can't find redhat-release, try rawhide-release.

	* po/de.po, po/es.po, po/fr.po, po/it.po, po/ja.po, po/up2date.pot, up2date.py:
	don't try and show name-version in a report about an unresolved dependency if we only know about name.

	* ChangeLog: update ChangeLog.

2001-03-13  Preston Brown  <pbrown@redhat.com>

	* po/de.po, po/es.po, po/fr.po, po/it.po, po/ja.po, po/up2date.pot, up2date.spec:
	update changelog.

	* progress.py:
	don't close on delete_event (#28850)

	* up2date.spec: updated version to 2.4.3

	* Makefile, up2date.spec:
	update version/changelog.

	* po/de.po, po/es.po, po/fr.po, po/it.po, po/ja.po, po/up2date.pot, wrapper.py:
	fixed some german translation problems (#30466)

2001-03-13  Preston Brown  <pbrown@redhat.com>

	* po/de.po, po/es.po, po/fr.po, po/it.po, po/ja.po, po/up2date.pot, up2date.spec:
	update changelog.

	* progress.py:
	don't close on delete_event (#28850)

	* up2date.spec: updated version to 2.4.3

	* Makefile, up2date.spec:
	update version/changelog.

	* po/de.po, po/es.po, po/fr.po, po/it.po, po/ja.po, po/up2date.pot, wrapper.py:
	fixed some german translation problems (#30466)

2001-03-12  Preston Brown  <pbrown@redhat.com>

	* gui.py, up2date.py, wrapper.py:
	move some sanity checks from gui to wrapper.  exception handling when redhat-release package not installed.

2001-03-07  Preston Brown  <pbrown@redhat.com>

	* up2date.spec: typo.

	* up2date.spec: updated version to 2.4.1

	* po/up2date.pot, po/de.po, po/es.po, po/fr.po, po/gui.gladestrings, po/it.po, po/ja.po:
	updated translations.

	* gui.py, progress.py, up2date.py, wrapper.py:
	more accurate progress reporting using new callbacks

	* gui.glade:
	fix string, translations need fixing

	* Makefile: bump version.

2001-03-06  Adrian Likins  <alikins@dionysus.redhat.com>

	* up2date.spec:
	upped required python-xmlrpc version to 1.4

	* wrapper.py:
	make --configure fallback to text mode if SCREEN^H^H^H^H^H^DISPLAY
	is bogus. Should fix bug #30296

2001-03-06  Jay Turner  <jturner@dionysus.redhat.com>

	* up2date.py:
	Don't need to set proxyHost unless enableProxy is set

2001-03-06  Adrian Likins  <alikins@dionysus.redhat.com>

	* config.py, configdlg.glade, configdlg.py, up2date.py:
	config.py:
		added config options for authenticated proxies

	configdlg.glade
	configflg.py:
		new gui stuff for configuring authenticated proxies

	up2date.py:
		removed "rpmdb_local_cache" cruft
		moved all the server/proxy config option fetching into
		  new getServer() call
		added getServer() to consolidate all the xmlrpc server stuff
		added support for authenticated proxies

2001-03-02  Adrian Likins  <alikins@dionysus.redhat.com>

	* up2date.spec: add advisorywin to spec

2001-03-01  Preston Brown  <pbrown@redhat.com>

	* up2date.spec: install rhnsd man page.

	* man/Makefile: install both manpages.

	* config.py, up2date.config:
	give example of proxy format.

	* po/es.po, po/fr.po, po/it.po, po/ja.po, po/up2date.pot, po/de.po, up2date.spec, ChangeLog:
	updated.

	* up2date.config, up2date.py:
	handle the situation where multiple versions of the same package are installed/available gracefully and properly.

	* Makefile, po/de.po, po/es.po, po/fr.po, po/it.po, po/ja.po, po/up2date.pot:
	bump version, update xlations.

	* up2date.py:
	don't hardcode 7.0 for advisory retrieval version.

	* gui.py:
	correctly show advisory for regular (non-skipped) packages.

	* wrapper.py:
	fancy progress meter.  Compute package space correctly.

2001-03-01  Adrian Likins  <alikins@dionysus.redhat.com>

	* wrapper.py:
	fix the "desktop links dont work". Wasnt looking for argv[0] to
	be the right value, change it to run in "configure" mode if argv[0]
	is "up2date-config".

	fixes bug #30131

2001-03-01  Preston Brown  <pbrown@redhat.com>

	* gui.py: actually show an advisory window.

	* up2date.py:
	compatibility between old pkgProxy and new httpProxy.  md5 package checking compatiiblity with rpm 3.0.x.  Other minor cleanups.

	* up2date.config:
	provide default value for httpProxy, which used to be pkgProxy.

	* configdlg.py:
	no separate rhn/up2date configs anymore

	* config.py:
	add default for httpProxy, remove pkgProxy (renamed to be shared between rhn_register and up2date.

2001-03-01  Jay Turner  <jturner@dionysus.redhat.com>

	* up2date/gui.py:
	Fix EOL problem which was causing error on make

2001-03-01  Preston Brown  <pbrown@redhat.com>

	* up2date.config, up2date.py:
	handle the situation where multiple versions of the same package are installed/available gracefully and properly.

	* Makefile, po/de.po, po/es.po, po/fr.po, po/it.po, po/ja.po, po/up2date.pot:
	bump version, update xlations.

	* up2date.py:
	don't hardcode 7.0 for advisory retrieval version.

	* gui.py:
	correctly show advisory for regular (non-skipped) packages.

	* wrapper.py:
	fancy progress meter.  Compute package space correctly.

2001-03-01  Adrian Likins  <alikins@dionysus.redhat.com>

	* wrapper.py:
	fix the "desktop links dont work". Wasnt looking for argv[0] to
	be the right value, change it to run in "configure" mode if argv[0]
	is "up2date-config".

	fixes bug #30131

2001-03-01  Preston Brown  <pbrown@redhat.com>

	* gui.py: actually show an advisory window.

	* up2date.py:
	compatibility between old pkgProxy and new httpProxy.  md5 package checking compatiiblity with rpm 3.0.x.  Other minor cleanups.

	* up2date.config:
	provide default value for httpProxy, which used to be pkgProxy.

	* configdlg.py:
	no separate rhn/up2date configs anymore

	* config.py:
	add default for httpProxy, remove pkgProxy (renamed to be shared between rhn_register and up2date.

2001-03-01  Jay Turner  <jturner@dionysus.redhat.com>

	* gui.py:
	Fix EOL problem which was causing error on make

2001-03-01  Cristian Gafton  <gafton@dionysus.redhat.com>

	* hardware.py:
	hmm... make it cover more cases

	* ChangeLog, hardware.py:
	make sure we send a valid number downstream for the number of CPUs

2001-02-27  Adrian Likins  <alikins@dionysus.redhat.com>

	* up2date.py: typo...

2001-02-23  Preston Brown  <pbrown@redhat.com>

	* man/en/up2date.8, po/Makefile, po/advisorywin.gladestrings, po/de.po, po/es.po, po/fr.po, po/gui.gladestrings, po/it.po, po/ja.po, po/up2date.pot, up2date.spec, wrapper.py, Makefile, advisorywin.glade, advisorywin.py, gui.glade, gui.py, progress.py, up2date.logrotate, up2date.py:
	beginning of advisory integration.  Use listall_size.  logrotate integration.

2001-02-23  Adrian Likins  <alikins@dionysus.redhat.com>

	* up2date.py: fixup a merge munge

2001-02-22  Adrian Likins  <alikins@dionysus.redhat.com>

	* man/en/up2date.8, wrapper.py:
	make sure the --help and man page are up to date.
	add --justdb, --dbpath

2001-02-22  Preston Brown  <pbrown@redhat.com>

	* up2date.py:
	method to get advisory info added; some more exceptions caught.

2001-02-20  Cristian Gafton  <gafton@dionysus.redhat.com>

	* .cvsignore: ignoe the .bz2 files too

	* Makefile:
	remove the .bz2 files on make clean

2001-02-20  Yukihiro Nakai  <ynakai@dionysus.redhat.com>

	* up2date.spec, ChangeLog, Makefile:
	Use bzip2

	* up2date.spec: updated version to 2.3.2

	* ChangeLog, Makefile:
	Update to 2.3.2

	* up2date.spec: updated version to 2.3.1

	* up2date.spec: Update version.

	* up2date.spec: Update.

	* configdlg.py, gui.py, progress.py, ChangeLog:
	Add domain to enable gettext.

	* po/ja.po:
	ja.po: Update Japanese translation.

2001-02-20  Cristian Gafton  <gafton@redhat.com>

	* Makefile (clean): rempve the .bz2 files too
	* .cvsignore: Ignore the .bz2 files too

2001-02-20  Yukihiro Nakai <ynakai@redhat.com>

	* gui.py, progess.py, configdlg.py: Add domain to
	enable gettext
	* up2date.spec: Update to 2.3.2
	* Makefile: use bzip2

2000-12-11  Preston Brown  <pbrown@redhat.com>

	* wrapper.py, up2date.py:
	fix sorting.

2000-12-08  Preston Brown  <pbrown@redhat.com>

	* up2date.spec: updated version to 2.1.6

	* Makefile, up2date.spec:
	updated version, changelog.

	* gui.glade, gui.py, up2date.py, wrapper.py:
	finish implementing printing of reason for a skipped package.

	* up2date.py: bug fix for last change.

	* gui.py, rhn_check.py, up2date.py, up2date.spec, wrapper.py:
	include reasons for skipping packages.

2000-12-07  Jay Turner  <jturner@dionysus.devel.redhat.com>

	* Makefile: Added configdlg to FILES

2000-12-04  Preston Brown  <pbrown@redhat.com>

	* hardware.py: skip bad lines in hwconf.

	* wrapper.py:
	sort lists of RPMs before displaying them.

2000-11-30  Preston Brown  <pbrown@redhat.com>

	* up2date.spec: updated changelog.

	* ChangeLog: synced.

	* gui.py, wrapper.py:
	handle GPG key installation for batch mode runs.

	* man/en/up2date.8: fixed man page.

	* configdlg.glade:
	tooltip for proxy host entry.

	* up2date.spec: needs newer python-xmlrpc.

2000-11-30  Preston Brown  <pbrown@redhat.com>

	* gui.py, wrapper.py:
	handle GPG key installation for batch mode runs.

	* man/en/up2date.8: fixed man page.

	* configdlg.glade:
	tooltip for proxy host entry.

	* up2date.spec: needs newer python-xmlrpc.

2000-11-29  Preston Brown  <pbrown@redhat.com>

	* configdlg.py, man/en/up2date.8, wrapper.py:
	added --configure option to start up2date-config.

	* gui.py, up2date.py, wrapper.py:
	exception handling for rpm errors during signature verification.

	* wrapper.py: fixed --tmpdir help text.

	* gui.py:
	fixed math error for total selected size when adding skipped packages.

2000-11-29  Jay Turner  <jturner@dionysus.devel.redhat.com>

	* wrapper.py:
	Fix getopt stripping of '=' in --tmpdir option

2000-11-28  Preston Brown  <pbrown@redhat.com>

	* up2date.spec:
	requires python-xmlrpc >= 1.1 (for proxy support).

	* up2date.spec: updated version to 2.1.5

	* Makefile: bump version to 2.1.5.

	* configdlg.py:
	Proxy handling is back in.  Again.

	* gui.glade:
	improved label for skipped packages screen.

	* gui.py:
	improved skipped packages screen and interaction of skipped packages with
	normal package selection.  better exception handling.

	* up2date.py:
	proxy host handling, better exception handling.

	* up2date.spec:
	move /var/spool/up2date out of gnome subpackage, update changelog.

	* wrapper.py:
	better error report on RpmError exception.

	* man/en/up2date.8: spelling fix.

2000-11-20  Jay Turner  <jturner@dionysus.devel.redhat.com>

	* wrapper.py:
	Changed 'profile' to 'packages' to fix command line parsing

2000-11-01  Preston Brown  <pbrown@redhat.com>

	* man/en/up2date.8: update modified date.

	* man/en/up2date.8, wrapper.py:
	update man page.

	* up2date.py, wrapper.py:
	added command line option to update packages associated with profile.

2000-10-30  Preston Brown  <pbrown@redhat.com>

	* wrapper.py: handle conflict exception.

	* up2date.spec:
	require rpm 3.0.7 or later, not 4.0 or later.

	* man/en/up2date.8, wrapper.py:
	implemented the --download, --install, --tmpdir command line options to override configured options.

2000-10-26  Cristian Gafton  <gafton@dionysus.devel.redhat.com>

	* hardware.py:
	fake cpu speed when not reported

2000-10-25  Preston Brown  <pbrown@redhat.com>

	* man/Makefile: mkdir before installing.

2000-10-25  Cristian Gafton  <gafton@dionysus.devel.redhat.com>

	* rhn_check.py:
	make sure to report unknown action versions

2000-10-25  Preston Brown  <pbrown@redhat.com>

	* Makefile:
	more makefile fixes for man page.

	* Makefile, up2date.spec:
	fix buildroot issues.

	* wrapper.py, gui.py:
	don't leak file descriptors.  Not a serious issue as this is a transient
	process, but when installing _lots_ of packages (100 or more) it can be
	annoying.

	* up2date.spec:
	include ChangeLog in file listing.

	* ChangeLog: added changelog.

	* up2date.spec: include changelog entry.

	* man/en/up2date.8: more complete man page.

	* wrapper.py:
	catch some more errors; use the up2date.version() function.

	* up2date.spec:
	move some of the requirements around between up2date-gnome and up2date
	(some were reversed).

	* up2date.py:
	version function; better dependency resolution; catch some more
	exceptions; use source_package_by_name function for SRPM retrieval.

	* gui.py:
	support for select all packages; some layout changes; support for time
	remaining calculation and kbps calculation; different dependency screen.

	* gui.glade:
	spelling fixes; grammar fixes; some layout changes; support for new kb
	tranferred / time remaining stuff on the xfer screen; other minor changes.

	* Makefile:
	bump version, do substitution on @VERSION@ magic string in up2date.py at
	installation time to make sure it is always correct.

	* configdlg.py:
	once again turn off proxy support.

2000-10-25  Cristian Gafton  <gafton@dionysus.devel.redhat.com>

	* rhn_check.py: updated

2000-10-25  Preston Brown  <pbrown@redhat.com>

	* man/en/up2date.8:
	don't use date CVS macro.

	* man/en/up2date.8, man/Makefile:
	Initial man page added.

2000-10-23  Preston Brown  <pbrown@redhat.com>

	* progress.py: add destroy method.

	* up2date.spec: updated changelog

	* Makefile, up2date.spec:
	bumped version for 2.0.7

2000-10-18  Preston Brown  <pbrown@redhat.com>

	* progress.py:
	cut down on x server round-trips in a major way by updating progress bar
	only when it will be visually meaningful.

	* configdlg.glade: even better looking.

	* configdlg.glade:
	better layout for network panel.

2000-10-17  Cristian Gafton  <gafton@dionysus.devel.redhat.com>

	* rhnsd.c:
	Make sure the child process has a stderr fd

2000-10-17  Preston Brown  <pbrown@redhat.com>

	* checklist.py: draw a checkmark not an x.

2000-10-11  Preston Brown  <pbrown@redhat.com>

	* configdlg.glade, configdlg.py, gui.py, up2date.py:
	more explicit message when no packages are selected for updating and the user attempts to continue.

2000-10-09  Preston Brown  <pbrown@redhat.com>

	* gui.py, up2date.spec, wrapper.py:
	implemented -u batch update option.

	* up2date.spec: updated changelog entry

	* configdlg.glade, gui.py, wrapper.py:
	don't import gui module until absolutely needed, speeds startup for command line only mode when X is running.  Add note to summary screen when packages are downloaded but not installed to run up2date-config to change this setting.

	* up2date.spec, Makefile:
	bumped version to 2.0.6

	* wrapper.py:
	fix error handling for incorrect command line arguments

	* up2date.py, wrapper.py:
	better error handling when RPM database is already in use.

2000-10-06  Cristian Gafton  <gafton@dionysus.devel.redhat.com>

	* up2date.spec: is triggerpostun

	* up2date.spec: new release with trigger

2000-10-06  Preston Brown  <pbrown@redhat.com>

	* up2date.spec: revert revision #.

	* up2date.spec: testing.

	* up2date.spec:
	bump revision for web/ftp release

	* wrapper.py:
	help text for anonymous should have said --register, not --anonymous.  Fixed.

2000-10-06  Cristian Gafton  <gafton@dionysus.devel.redhat.com>

	* rhnsd.c: fix screwup

2000-10-06  Preston Brown  <pbrown@redhat.com>

	* up2date.spec: updated version to 2.0.5

	* Makefile: bumped version

	* up2date.spec: updated version to 2.0.2

2000-10-06  Cristian Gafton  <gafton@dionysus.devel.redhat.com>

	* rhnsd.c: cosmetic changes ; adjust version

2000-10-06  Preston Brown  <pbrown@redhat.com>

	* rhnsd.c, rhnsd.init, rhnsd.sysconfig, up2date.spec:
	increased rhnsd check interval.  check for systemid in rhnsd directly.

2000-10-04  Preston Brown  <pbrown@redhat.com>

	* gui.glade: fix pixmap directory.

2000-09-12  Matt Wilson  <msw@dionysus.devel.redhat.com>

	* rhnsd.init, up2date.spec:
	- fixed rhnsd.init, don't use () after shell functions

2000-09-07  Bill Nottingham  <notting@dionysus.devel.redhat.com>

	* Makefile, up2date.spec:
	this isn't noarch.

2000-09-06  Preston Brown  <pbrown@redhat.com>

	* Makefile, rhnsd.init, up2date.spec:
	initscript changes to support condrestart.

2000-09-06  Cristian Gafton  <gafton@dionysus.devel.redhat.com>

	* rhnsd.c: fix damn descriptor leak

2000-09-01  Cristian Gafton  <gafton@dionysus.devel.redhat.com>

	* hardware.py: *** empty log message ***

2000-08-28  Preston Brown  <pbrown@redhat.com>

	* up2date.pam: new pam file.

	* wrapper.py: more gui / no gui fixes.

	* up2date.spec: bump rev.

	* wrapper.py:
	show gpg warning no matter what in GUI mode if avail.

2000-08-27  Preston Brown  <pbrown@redhat.com>

	* up2date.spec: updated version to 2.0

2000-08-27  Cristian Gafton  <gafton@dionysus.devel.redhat.com>

	* rhn_check.py: check action

2000-08-27  Preston Brown  <pbrown@redhat.com>

	* wrapper.py:
	changes for calling from rhn_check.

2000-08-27  Jay Turner  <jturner@dionysus.devel.redhat.com>

	* up2date.spec:
	include wrapper in /usr/share/rhn/up2date

2000-08-27  Cristian Gafton  <gafton@dionysus.devel.redhat.com>

	* rhn_check.py: updated

2000-08-27  Preston Brown  <pbrown@redhat.com>

	* up2date.spec: bump rev.

	* rhn_check.py, wrapper.py:
	be able to run up2date batch from rhn_check.

	* up2date.spec: fix rev.

	* up2date.spec: updated version to 2.0

	* Makefile: need to bump version in here.

	* up2date.spec: updated version to 1.99

	* up2date.spec: bump version

	* wrapper.py:
	option to override GPG signature checking.

	* up2date.py:
	for retrieving source, use source_package call, not package.

	* up2date.spec: updated version to 1.99

	* wrapper.py:
	change cmd line flag for anonymous registration from -a to -r.  Add -a (allpackages) flag.

	* wrapper.py:
	fixed printing out which packages were needed to satisfy dependencies.

	* wrapper.py:
	really put python in no buffered io mode.

	* wrapper.py:
	put python in no buffered io mode.

	* up2date.py, wrapper.py:
	if there are no packages available for update, say so.  also remove some debug stuff

	* wrapper.py:
	if there are no packages available for update, say so.

	* wrapper.py:
	wasn't including rpm callback in installPackages call.

	* wrapper.py:
	allow package names to be 40 chars

	* wrapper.py:
	fix up cut/paste errors going from gui to wrapper.

	* up2date.spec:
	include gui.py in share/rhn/up2date

	* up2date.spec: bin --> sbin

2000-08-27  Jay Turner  <jturner@dionysus.devel.redhat.com>

	* up2date.spec: spec file fixes.

2000-08-27  Preston Brown  <pbrown@redhat.com>

	* up2date.spec: updated version to 1.99

	* config.py, gui.py, Makefile, up2date.spec, wrapper.py:
	command line wrapper should be finished, and bugfree(tm).

	* up2date.py:
	fix up changed config file checking.  Implement retrieving source RPMs.

	* Makefile, up2date-config.console:
	console helper file.

2000-08-27  Jay Turner  <jturner@dionysus.devel.redhat.com>

	* configdlg.py:
	correct path append statement to correctly import config

2000-08-27  Preston Brown  <pbrown@redhat.com>

	* configdlg.py, config.py, up2date.config:
	removed general page (for now) from the configure dialog.  regenerated new
	default config file w/all values.

	* up2date.spec, Makefile:
	install up2date-config reasonably.

	* configdlg.py:
	read glade file from /usr/shar/rhn/up2date.

2000-08-27  Cristian Gafton  <gafton@dionysus.devel.redhat.com>

	* config.py: get rid of alien

	* hardware.py:
	reworked cpu information extractor

2000-08-26  Cristian Gafton  <gafton@dionysus.devel.redhat.com>

	* config.py, rhn_check.py:
	better fault handling

	* rhn_check.py: don't translate stuff

	* rhn_check.py: better error handling

2000-08-26  Jay Turner  <jturner@dionysus.devel.redhat.com>

	* rhn_check.py:
	fix call for getting system ID

	* rhn_check.py:
	probably should add path.append before I attempt to import the modulevim rhn_check.py

	* rhn_check.py:
	added '/usr/share/rhn/up2date' to python path

	* gui.py:
	Fixed call to checkGPGInstallation()

2000-08-26  Cristian Gafton  <gafton@dionysus.devel.redhat.com>

	* Makefile: make clean is making more clean

	* rhnsd.c: updated with jeff's feedback

	* rhn_check.py:
	remove braindead debugging statements

	* config.py: fix braindead alien reference

	* rhnsd.c: fixed back to good code

2000-08-25  Jay Turner  <jturner@dionysus.devel.redhat.com>

	* rhn_check.py: reenable exception handling

	* config.py, rhn_check.py, rhnsd.c:
	function name changes

2000-08-25  Cristian Gafton  <gafton@dionysus.devel.redhat.com>

	* rhn_check.py: *** empty log message ***

2000-08-25  Preston Brown  <pbrown@redhat.com>

	* rhn_check.py:
	add_hw_profile --> refresh_hw_profile
	add_packages --> refresh_packages

	* up2date.spec: foo

2000-08-25  Cristian Gafton  <gafton@dionysus.devel.redhat.com>

	* rhnsd.c: upadted

2000-08-25  Preston Brown  <pbrown@redhat.com>

	* up2date.spec: foo

	* up2date.spec, up2date.py:
	updates b4 making package.

	* up2date.py:
	trying to fix bad display during download of big pkgs

2000-08-25  Cristian Gafton  <gafton@dionysus.devel.redhat.com>

	* rhn_check.py: ad buildPackageList()

2000-08-25  Preston Brown  <pbrown@redhat.com>

	* gui.py: fix selecting weird dependencies

	* gui.py: fix indenting

2000-08-25  Cristian Gafton  <gafton@dionysus.devel.redhat.com>

	* rhn_check.py, up2date.py:
	improved hasSSL

2000-08-25  Preston Brown  <pbrown@redhat.com>

	* gui.py: fix indenting.

2000-08-25  Jay Turner  <jturner@dionysus.devel.redhat.com>

	* gui.py, up2date.py:
	trying to be smarter about dependency loops

2000-08-25  Preston Brown  <pbrown@redhat.com>

	* Makefile, up2date.spec:
	added hardware.py

	* rhn_check.py:
	implemented refreshing rpm package list, hardware list.

	* rhn_check.py:
	implemented updating packages.  not tested yet.

	* gui.py, rhn_check.py, up2date.spec, Makefile:
	rename client to up2date (cristian's rhn_check already has a client class,
	and this makes better sense).  Use config in rhn_check for serverUrl,
	systemId.  don't copy getSystemId function to rhn_check, use up2date
	version instead.

	* configdlg.py, config.py, rhn_check.py, up2date.py:
	get serverUrl and system id path from config file.

	* gui.py: implement useGPG checking.

2000-08-25  Cristian Gafton  <gafton@dionysus.devel.redhat.com>

	* rhn_check.py: fixed path names

	* rhn_check.py: *** empty log message ***

	* rhn_check.py, Makefile, RHNS-CA-CERT, rhnsd.init, up2date.spec:
	added RHNS-CA-CERT

	* RHNS-CA-CERT: RHNS-CA-CERT

2000-08-25  Preston Brown  <pbrown@redhat.com>

	* configdlg.glade, configdlg.py, config.py:
	configuration editor is all happy.

2000-08-24  Preston Brown  <pbrown@redhat.com>

	* configdlg.glade, configdlg.py:
	started making this work.

	* gui.py, up2date.py:
	remoteAddPackage, remoteDelPackage, are working.

	* gui.py: forgot to comment out one line.

	* gui.py, up2date.py, up2date.spec:
	fixed some dependencies.  commented out remoteAddPackage/remoteDelPackage
	for now.

	* configdlg.py:
	skeleton up and running, now to populate it from the config.

	* gui.py, up2date.py:
	anonymous registration supported.

2000-08-23  Preston Brown  <pbrown@redhat.com>

	* gui.py, up2date.py:
	properly verify signatures.  All works well now.

2000-08-23  Cristian Gafton  <gafton@dionysus.devel.redhat.com>

	* .cvsignore, rhn_check.py, Makefile, rhnsd.c, up2date.spec:
	more daemon work

2000-08-23  Preston Brown  <pbrown@redhat.com>

	* Makefile:
	oops, needed an $(RPM_BUILD_ROOT)

	* up2date.spec: updated version to 1.99

	* up2date.py:
	signature checking seems to work OK.

2000-08-23  Jay Turner  <jturner@dionysus.devel.redhat.com>

	* rhnsd.init: Fix more typos

	* rhnsd.init, up2date.py:
	Fixed type in initscript

2000-08-23  Cristian Gafton  <gafton@dionysus.devel.redhat.com>

	* rhn_check.py: added newcert

2000-08-23  Preston Brown  <pbrown@redhat.com>

	* config.py, gui.py, progress.py, rhn_check.py, up2date.py:
	updated licensing information.

2000-08-23  Cristian Gafton  <gafton@dionysus.devel.redhat.com>

	* Makefile, rhnsd.c, rhnsd.init, up2date.spec:
	added init script

2000-08-23  Preston Brown  <pbrown@redhat.com>

	* gui.py, up2date.py:
	be smart when there are no new packages to update.  Show some better
	information to the user when there is a dependency loop.

2000-08-23  Cristian Gafton  <gafton@dionysus.devel.redhat.com>

	* Makefile, rhn_check.py, rhnsd.c:
	working

	* rhnsd.c, TestCert, rhn_check.py:
	new file

2000-08-23  Preston Brown  <pbrown@redhat.com>

	* gui.py:
	signature checking stuff committed. Needs testing tomorrow.

	* gui.py, Makefile, up2date.py, up2date.spec:
	GPG stuff more or less complete.

	* gui.py, up2date.py:
	several different exit codes from hasBadSignature handled.

	* up2date.py: return 0 was missing.

	* gui.py, up2date.py, up2date.spec:
	signature checking implemented.

	* RPM-GPG-KEY: Red Hat's public GPG key.

2000-08-21  Preston Brown  <pbrown@redhat.com>

	* up2date.py: missing hasSSL().

	* up2date.spec: updated version to 1.99

	* config.py, up2date.py:
	read config file from proper location, and systemid too.

	* up2date.spec: updated version to 1.99

	* gui.py:
	don't make gui the parent when it doesn't exist yet.

	* gui.py:
	sync in some changes from rhn_register.

	* gui.py, progress.py, up2date.spec:
	look for glade files in right place, add glade file to %files section.

2000-08-20  Preston Brown  <pbrown@redhat.com>

	* up2date.spec: config was missing.

	* up2date.py:
	change url, import path in client.py too.

	* gui.py: import path correctly.

	* gui.py: append path.

	* Makefile: typo fixes.

	* Makefile: install config file.

	* up2date.spec: updated version to 1.99

	* up2date.config: default config file.

	* config.py:
	updated / removed stuff that is no longer relevant.

	* Makefile, up2date.spec:
	change version to 1.99

	* Makefile, up2date.spec:
	more packaging fixes.

	* Makefile: some rhns were still in here.

	* Makefile:
	whoops let's not forget this one.

	* up2date.console, up2date.pam, up2date.png, up2date.py, up2date.spec:
	scaffolding to make this a real program / package.

2000-08-19  Preston Brown  <pbrown@redhat.com>

	* gui.glade, gui.py, up2date.py:
	basic signature checking gotten started.

2000-08-18  Adrian Likins  <alikins@dionysus.devel.redhat.com>

	* hardware.py: fix the hardware bits

2000-08-18  Preston Brown  <pbrown@redhat.com>

	* gui.py:
	fixed inserting text on finish page (was wrong function call)

	* gui.glade, gui.py, up2date.py:
	dependency information page is working.  Fixed up graphics on final page,
	plus using a scroll area.  Total hack for finish page... :(

	* gui.py, up2date.py:
	installing packages works!

2000-08-17  Preston Brown  <pbrown@redhat.com>

	* gui.glade, gui.py, progress.py, up2date.py:
	progress stuff is working for rpm retrieval, installation testing
	remains. So close I can taste it.

	Finally, need to finish implementing rhns_preferences or whatever.

	* gui.glade, rh_updateagent1_100x300.png, up2date.py:
	add graphics.

	* configdlg.glade:
	Red Hat Network Services configuration dialog.

	* progress.glade, progress.py:
	synced with better version from rhns_register.

2000-08-15  Preston Brown  <pbrown@redhat.com>

	* hardware.py:
	ok hardware info is working properly.

	* hardware.py: typo fixed.

	* hardware.py:
	validate input email addresses.  Include network information in hardware
	profile.

	* hardware.py:
	fixed most outstanding bugs.  Began implementing product registration.

2000-08-11  Adrian Likins  <alikins@dionysus.devel.redhat.com>

	* hardware.py:
	update. hardward list should at least sorta work now.
	hardware.py was changed to strip off white space for
	values that will be used as dict keys

2000-08-10  Preston Brown  <pbrown@redhat.com>

	* gui.glade, gui.py, progress.glade, progress.py, up2date.py:
	more fixes.  Gotta fix callbacks in retrieval phase; nothing is getting
	updated.

	* gui.glade, gui.py, up2date.py:
	fixes, start implementing skipped list.

2000-08-09  Preston Brown  <pbrown@redhat.com>

	* up2date.py:
	better error reporting for socket.errors.

2000-08-08  Preston Brown  <pbrown@redhat.com>

	* gui.glade, gui.py, up2date.py:
	more fixing.  started implementing selecting skipped packages for
	inclusion.

	* shadowman-round-48.png: moved icon.

	* progress.glade, progress.py:
	progress bar widget.

	* gui.glade, gui.py, up2date.py:
	more or less finished. :)

2000-08-07  Preston Brown  <pbrown@redhat.com>

	* gui.glade, gui.py, up2date.py:
	generate a list of packages to retrieve from the selected packages.  Now
	implement retrieval + callbacks. :)

2000-08-04  Preston Brown  <pbrown@redhat.com>

	* up2date.py:
	open database in write mode for installing packages.  Close database when
	not in use.

	* gui.py: total selected size is working.

	* checklist.py: clist with checkboxes.

	* gui.glade, gui.py, up2date.py:
	populating package area widget works.

	* up2date.py:
	seems to be working for installing even, but I'm getting the message
	"cannot allocate space for database" from RPM after each package is
	installed, and the RPM database isn't updated.  The bits are making it
	onto the disk.

	* up2date.py:
	ok, header cache is actually working now.

	* up2date.py:
	convenience method to turn a package array of name, version, release,
	epoch into a string.

	* up2date.py: whoops typo.

	* up2date.py: implemented a header cache.

	* up2date.py:
	cast disk free information to a long to avoid int overflows.

	* up2date.py:
	don't call getHeader so much in disk space calculations.

	* up2date.py: trace getHeader calls.

	* up2date.py:
	exit if not enough free disk space.

	* up2date.py:
	works as a basic cmd line updater at the moment.

2000-08-03  Preston Brown  <pbrown@redhat.com>

	* .cvsignore: ignore *pyc.

	* up2date.py:
	most of the code to actually do installations is working more or less fine
	now.  Need to attach to the GUI.

2000-08-02  Preston Brown  <pbrown@redhat.com>

	* config.py:
	copied from old update agent codebase.

	* up2date.py:
	lots of code written.  No gui tie-in yet.

2000-08-01  Preston Brown  <pbrown@redhat.com>

	* up2date.py:
	large modifications.  Coming along.

2000-07-31  Preston Brown  <pbrown@redhat.com>

	* gui.glade, gui.py, up2date.py:
	started work on Update Agent v2.  Nothing at all functional. :)

	* hardware.py:
	support for reading amount of memory.

2000-07-30  Cristian Gafton  <gafton@dionysus.devel.redhat.com>

	* hardware.py: first cut

	* hardware.py: new file

